/* Autogenerated, do not edit. Your changes will be undone. */
/*  RetroArch - A frontend for libretro.
 *  Copyright (C) 2011-2016 - Daniel De Matteis
 *
 *  RetroArch is free software: you can redistribute it and/or modify it under the terms
 *  of the GNU General Public License as published by the Free Software Found-
 *  ation, either version 3 of the License, or (at your option) any later version.
 *
 *  RetroArch is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *  PURPOSE.  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with RetroArch.
 *  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdint.h>
#include <string.h>

#include <compat/strl.h>
#include <string/stdstring.h>

#include "../menu_hash.h"
#include "../../configuration.h"

static const char *menu_hash_to_str_us_label(uint32_t hash)
{
   switch (hash)
   {
      case MENU_LABEL_START_CORE:
         return "start_core";
      case MENU_LABEL_CHEEVOS_TEST_UNOFFICIAL:
         return "cheevos_test_unofficial";
      case MENU_LABEL_CHEEVOS_ENABLE:
         return "cheevos_enable";
      case MENU_LABEL_INPUT_ICADE_ENABLE:
         return "input_icade_enable";
      case MENU_LABEL_INPUT_KEYBOARD_GAMEPAD_MAPPING_TYPE:
         return "keyboard_gamepad_mapping_type";
      case MENU_LABEL_INPUT_SMALL_KEYBOARD_ENABLE:
         return "input_small_keyboard_enable";
      case MENU_LABEL_SAVE_CURRENT_CONFIG:
         return "save_current_config";
      case MENU_LABEL_STATE_SLOT:
         return "state_slot";
      case MENU_LABEL_CHEEVOS_USERNAME:
         return "cheevos_username";
      case MENU_LABEL_CHEEVOS_PASSWORD:
         return "cheevos_password";
      case MENU_LABEL_ACCOUNTS_CHEEVOS_USERNAME:
         return "accounts_cheevos_username";
      case MENU_LABEL_ACCOUNTS_CHEEVOS_PASSWORD:
         return "accounts_cheevos_password";
      case MENU_LABEL_ACCOUNTS_RETRO_ACHIEVEMENTS:
         return "retro_achievements";
      case MENU_LABEL_DEFERRED_ACCOUNTS_CHEEVOS_LIST:
         return "deferred_accounts_cheevos_list";
      case MENU_LABEL_DEFERRED_USER_BINDS_LIST:
         return "deferred_user_binds_list";
      case MENU_LABEL_DEFERRED_ACCOUNTS_LIST:
         return "deferred_accounts_list";
      case MENU_LABEL_DEFERRED_INPUT_SETTINGS_LIST:
         return "deferred_input_settings_list";
      case MENU_LABEL_ACCOUNTS_LIST:
         return "accounts_list";
      case MENU_LABEL_DEFERRED_INPUT_HOTKEY_BINDS_LIST:
         return "deferred_input_hotkey_binds";
      case MENU_LABEL_INPUT_HOTKEY_BINDS:
         return "input_hotkey_binds";
      case MENU_LABEL_INPUT_HOTKEY_BINDS_BEGIN:
         return "input_hotkey_binds_begin";
      case MENU_LABEL_INPUT_SETTINGS_BEGIN:
         return "input_settings_begin";
      case MENU_LABEL_PLAYLIST_SETTINGS_BEGIN:
         return "playlist_settings_begin";
      case MENU_LABEL_PLAYLIST_SETTINGS:
         return "playlist_settings";
      case MENU_LABEL_DEFERRED_PLAYLIST_SETTINGS_LIST:
         return "deferred_playlist_settings";
      case MENU_LABEL_INPUT_SETTINGS:
         return "input_settings";
      case MENU_LABEL_DEBUG_PANEL_ENABLE:
         return "debug_panel_enable";
      case MENU_LABEL_HELP_SCANNING_CONTENT:
         return "help_scanning_content";
      case MENU_LABEL_CHEEVOS_DESCRIPTION:
         return "cheevos_description";
      case MENU_LABEL_HELP_AUDIO_VIDEO_TROUBLESHOOTING:
         return "help_audio_video_troubleshooting";
      case MENU_LABEL_HELP_CHANGE_VIRTUAL_GAMEPAD:
         return "help_change_virtual_gamepad";
      case MENU_LABEL_HELP_WHAT_IS_A_CORE:
         return "help_what_is_a_core";
      case MENU_LABEL_HELP_LOADING_CONTENT:
         return "help_loading_content";
      case MENU_LABEL_HELP_LIST:
         return "help_list";
      case MENU_LABEL_HELP_CONTROLS:
         return "help_controls";
      case MENU_LABEL_DEFERRED_ARCHIVE_OPEN_DETECT_CORE:
         return "deferred_archive_open_detect_core";
      case MENU_LABEL_DEFERRED_ARCHIVE_OPEN:
         return "deferred_archive_open";
      case MENU_LABEL_LOAD_ARCHIVE_DETECT_CORE:
         return "load_archive_detect_core";
      case MENU_LABEL_LOAD_ARCHIVE:
         return "load_archive";
      case MENU_LABEL_DEFERRED_ARCHIVE_ACTION_DETECT_CORE:
         return "deferred_archive_action_detect_core";
      case MENU_LABEL_DEFERRED_ARCHIVE_ACTION:
         return "deferred_archive_action";
      case MENU_LABEL_OPEN_ARCHIVE_DETECT_CORE:
         return "open_archive_detect_core";
      case MENU_LABEL_OPEN_ARCHIVE:
         return "open_archive";
      case MENU_LABEL_INPUT_BACK_AS_MENU_TOGGLE_ENABLE:
         return "back_as_menu_toggle_enable";
      case MENU_LABEL_INPUT_MENU_TOGGLE_GAMEPAD_COMBO:
         return "input_menu_toggle_gamepad_combo";
      case MENU_LABEL_INPUT_OVERLAY_HIDE_IN_MENU:
         return "overlay_hide_in_menu";
      case MENU_LABEL_NO_PLAYLIST_ENTRIES_AVAILABLE:
         return "no_playlist_entries_available";
      case MENU_LABEL_DOWNLOADED_FILE_DETECT_CORE_LIST:
         return "downloaded_file_detect_core_list";
      case MENU_LABEL_UPDATE_CORE_INFO_FILES:
         return "update_core_info_files";
      case MENU_LABEL_DEFERRED_CORE_CONTENT_LIST:
         return "deferred_core_content_list";
      case MENU_LABEL_DEFERRED_LAKKA_LIST:
         return "deferred_lakka_list";
      case MENU_LABEL_DOWNLOAD_CORE_CONTENT:
         return "download_core_content";
      case MENU_LABEL_SCAN_THIS_DIRECTORY:
         return "scan_this_directory";
      case MENU_LABEL_SCAN_FILE:
         return "scan_file";
      case MENU_LABEL_SCAN_DIRECTORY:
         return "scan_directory";
      case MENU_LABEL_ADD_CONTENT_LIST:
         return "add_content";
      case MENU_LABEL_OVERLAY_AUTOLOAD_PREFERRED:
         return "overlay_autoload_preferred";
      case MENU_LABEL_INFORMATION_LIST:
         return "information_list";
      case MENU_LABEL_USE_BUILTIN_PLAYER:
         return "use_builtin_player";
      case MENU_LABEL_CONTENT_SETTINGS:
         return "quick_menu";
      case MENU_LABEL_LOAD_CONTENT_LIST:
         return "load_content";
      case MENU_LABEL_NO_SETTINGS_FOUND:
         return "menu_label_no_settings_found";
      case MENU_LABEL_SYSTEM_BGM_ENABLE:
         return "system_bgm_enable";
      case MENU_LABEL_AUDIO_BLOCK_FRAMES:
         return "audio_block_frames";
      case MENU_LABEL_INPUT_BIND_MODE:
         return "input_bind_mode";
      case MENU_LABEL_INPUT_DESCRIPTOR_LABEL_SHOW:
         return "input_descriptor_label_show";
      case MENU_LABEL_INPUT_DESCRIPTOR_HIDE_UNBOUND:
         return "input_descriptor_hide_unbound";
      case MENU_LABEL_VIDEO_FONT_ENABLE:
         return "video_font_enable";
      case MENU_LABEL_VIDEO_FONT_PATH:
         return "video_font_path";
      case MENU_LABEL_VIDEO_FONT_SIZE:
         return "video_font_size";
      case MENU_LABEL_VIDEO_MESSAGE_POS_X:
         return "video_message_pos_x";
      case MENU_LABEL_VIDEO_MESSAGE_POS_Y:
         return "video_message_pos_y";
      case MENU_LABEL_VIDEO_SOFT_FILTER:
         return "soft_filter";
      case MENU_LABEL_VIDEO_FILTER_FLICKER:
         return "video_filter_flicker";
      case MENU_LABEL_INPUT_REMAPPING_DIRECTORY:
         return "input_remapping_directory";
      case MENU_LABEL_JOYPAD_AUTOCONFIG_DIR:
         return "joypad_autoconfig_dir";
      case MENU_LABEL_RECORDING_CONFIG_DIRECTORY:
         return "recording_config_directory";
      case MENU_LABEL_RECORDING_OUTPUT_DIRECTORY:
         return "recording_output_directory";
      case MENU_LABEL_SCREENSHOT_DIRECTORY:
         return "screenshot_directory";
      case MENU_LABEL_PLAYLIST_DIRECTORY:
         return "playlist_directory";
      case MENU_LABEL_SAVEFILE_DIRECTORY:
         return "savefile_directory";
      case MENU_LABEL_SAVESTATE_DIRECTORY:
         return "savestate_directory";
      case MENU_LABEL_STDIN_CMD_ENABLE:
         return "stdin_commands";
      case MENU_LABEL_NETWORK_REMOTE_ENABLE:
         return "network_remote_enable";
      case MENU_LABEL_NETWORK_REMOTE_PORT:
         return "network_remote_base_port";
      case MENU_LABEL_VIDEO_DRIVER:
         return "video_driver";
      case MENU_LABEL_RECORD_ENABLE:
         return "record_enable";
      case MENU_LABEL_VIDEO_GPU_RECORD:
         return "video_gpu_record";
      case MENU_LABEL_RECORD_PATH:
         return "record_path";
      case MENU_LABEL_RECORD_USE_OUTPUT_DIRECTORY:
         return "record_use_output_directory";
      case MENU_LABEL_RECORD_CONFIG:
         return "record_config";
      case MENU_LABEL_VIDEO_POST_FILTER_RECORD:
         return "video_post_filter_record";
      case MENU_LABEL_CORE_ASSETS_DIRECTORY:
         return "core_assets_directory";
      case MENU_LABEL_ASSETS_DIRECTORY:
         return "assets_directory";
      case MENU_LABEL_DYNAMIC_WALLPAPERS_DIRECTORY:
         return "dynamic_wallpapers_directory";
      case MENU_LABEL_BOXARTS_DIRECTORY:
         return "boxarts_directory";
      case MENU_LABEL_RGUI_BROWSER_DIRECTORY:
         return "rgui_browser_directory";
      case MENU_LABEL_RGUI_CONFIG_DIRECTORY:
         return "rgui_config_directory";
      case MENU_LABEL_LIBRETRO_INFO_PATH:
         return "libretro_info_path";
      case MENU_LABEL_LIBRETRO_DIR_PATH:
         return "libretro_dir_path";
      case MENU_LABEL_CURSOR_DIRECTORY:
         return "cursor_directory";
      case MENU_LABEL_CONTENT_DATABASE_DIRECTORY:
         return "content_database_path";
      case MENU_LABEL_SYSTEM_DIRECTORY:
         return "system_directory";
      case MENU_LABEL_CACHE_DIRECTORY:
         return "cache_directory";
      case MENU_LABEL_CHEAT_DATABASE_PATH:
         return "cheat_database_path";
      case MENU_LABEL_AUDIO_FILTER_DIR:
         return "audio_filter_dir";
      case MENU_LABEL_VIDEO_FILTER_DIR:
         return "video_filter_dir";
      case MENU_LABEL_VIDEO_SHADER_DIR:
         return "video_shader_dir";
      case MENU_LABEL_OVERLAY_DIRECTORY:
         return "overlay_directory";
      case MENU_LABEL_OSK_OVERLAY_DIRECTORY:
         return "osk_overlay_directory";
      case MENU_LABEL_NETPLAY_CLIENT_SWAP_INPUT:
         return "netplay_client_swap_input";
      case MENU_LABEL_NETPLAY_SPECTATOR_MODE_ENABLE:
         return "netplay_spectator_mode_enable";
      case MENU_LABEL_NETPLAY_IP_ADDRESS:
         return "netplay_ip_address";
      case MENU_LABEL_NETPLAY_TCP_UDP_PORT:
         return "netplay_tcp_udp_port";
      case MENU_LABEL_NETPLAY_ENABLE:
         return "netplay_enable";
      case MENU_LABEL_NETPLAY_DELAY_FRAMES:
         return "netplay_delay_frames";
      case MENU_LABEL_NETPLAY_MODE:
         return "netplay_mode";
      case MENU_LABEL_RGUI_SHOW_START_SCREEN:
         return "rgui_show_start_screen";
      case MENU_LABEL_TITLE_COLOR:
         return "menu_title_color";
      case MENU_LABEL_ENTRY_HOVER_COLOR:
         return "menu_entry_hover_color";
      case MENU_LABEL_TIMEDATE_ENABLE:
         return "menu_timedate_enable";
      case MENU_LABEL_THREADED_DATA_RUNLOOP_ENABLE:
         return "threaded_data_runloop_enable";
      case MENU_LABEL_ENTRY_NORMAL_COLOR:
         return "menu_entry_normal_color";
      case MENU_LABEL_SHOW_ADVANCED_SETTINGS:
         return "menu_show_advanced_settings";
      case MENU_LABEL_MOUSE_ENABLE:
         return "menu_mouse_enable";
      case MENU_LABEL_POINTER_ENABLE:
         return "menu_pointer_enable";
      case MENU_LABEL_CORE_ENABLE:
         return "menu_core_enable";
      case MENU_LABEL_DPI_OVERRIDE_ENABLE:
         return "dpi_override_enable";
      case MENU_LABEL_DPI_OVERRIDE_VALUE:
         return "dpi_override_value";
      case MENU_LABEL_XMB_FONT:
         return "xmb_font";
      case MENU_LABEL_XMB_THEME:
         return "xmb_theme";
      case MENU_LABEL_XMB_SCALE_FACTOR:
      case MENU_LABEL_XMB_SCALE_FACTOR:
         return "xmb_scale_factor";
      case MENU_LABEL_XMB_ALPHA_FACTOR:
         return "xmb_alpha_factor";
      case MENU_LABEL_SUSPEND_SCREENSAVER_ENABLE:
         return "suspend_screensaver_enable";
      case MENU_LABEL_VIDEO_DISABLE_COMPOSITION:
         return "video_disable_composition";
      case MENU_LABEL_PAUSE_NONACTIVE:
         return "pause_nonactive";
      case MENU_LABEL_UI_COMPANION_START_ON_BOOT:
         return "ui_companion_start_on_boot";
      case MENU_LABEL_UI_COMPANION_ENABLE:
         return "ui_companion_enable";
      case MENU_LABEL_UI_MENUBAR_ENABLE:
         return "ui_menubar_enable";
      case MENU_LABEL_ARCHIVE_MODE:
         return "archive_mode";
      case MENU_LABEL_NETWORK_CMD_ENABLE:
         return "network_cmd_enable";
      case MENU_LABEL_NETWORK_CMD_PORT:
         return "network_cmd_port";
      case MENU_LABEL_HISTORY_LIST_ENABLE:
         return "history_list_enable";
      case MENU_LABEL_CONTENT_HISTORY_SIZE:
         return "Content History Size";
      case MENU_LABEL_VIDEO_REFRESH_RATE_AUTO:
         return "video_refresh_rate_auto";
      case MENU_LABEL_DUMMY_ON_CORE_SHUTDOWN:
         return "dummy_on_core_shutdown";
      case MENU_LABEL_CORE_SET_SUPPORTS_NO_CONTENT_ENABLE:
         return "core_set_supports_no_content_enable";
      case MENU_LABEL_FRAME_THROTTLE_ENABLE:
         return "fastforward_ratio_throttle_enable";
      case MENU_LABEL_FASTFORWARD_RATIO:
         return "fastforward_ratio";
      case MENU_LABEL_AUTO_REMAPS_ENABLE:
         return "auto_remaps_enable";
      case MENU_LABEL_SLOWMOTION_RATIO:
         return "slowmotion_ratio";
      case MENU_LABEL_CORE_SPECIFIC_CONFIG:
         return "core_specific_config";
      case MENU_LABEL_GAME_SPECIFIC_OPTIONS:
         return "game_specific_options";
      case MENU_LABEL_AUTO_OVERRIDES_ENABLE:
         return "auto_overrides_enable";
      case MENU_LABEL_CONFIG_SAVE_ON_EXIT:
         return "config_save_on_exit";
      case MENU_LABEL_VIDEO_SMOOTH:
         return "video_smooth";
      case MENU_LABEL_VIDEO_GAMMA:
         return "video_gamma";
      case MENU_LABEL_VIDEO_ALLOW_ROTATE:
         return "video_allow_rotate";
      case MENU_LABEL_VIDEO_HARD_SYNC:
         return "video_hard_sync";
      case MENU_LABEL_VIDEO_SWAP_INTERVAL:
         return "video_swap_interval";
      case MENU_LABEL_VIDEO_VSYNC:
         return "video_vsync";
      case MENU_LABEL_VIDEO_THREADED:
         return "video_threaded";
      case MENU_LABEL_VIDEO_ROTATION:
         return "video_rotation";
      case MENU_LABEL_VIDEO_GPU_SCREENSHOT:
         return "video_gpu_screenshot";
      case MENU_LABEL_VIDEO_CROP_OVERSCAN:
         return "video_crop_overscan";
      case MENU_LABEL_VIDEO_ASPECT_RATIO_INDEX:
         return "aspect_ratio_index";
      case MENU_LABEL_VIDEO_ASPECT_RATIO_AUTO:
         return "video_aspect_ratio_auto";
      case MENU_LABEL_VIDEO_FORCE_ASPECT:
         return "video_force_aspect";
      case MENU_LABEL_VIDEO_REFRESH_RATE: 
         return "video_refresh_rate";
      case MENU_LABEL_VIDEO_FORCE_SRGB_DISABLE:
         return "video_force_srgb_disable";
      case MENU_LABEL_VIDEO_WINDOWED_FULLSCREEN:
         return "video_windowed_fullscreen";
      case MENU_LABEL_PAL60_ENABLE:
         return "pal60_enable";
      case MENU_LABEL_VIDEO_VFILTER:
         return "video_vfilter";
      case MENU_LABEL_VIDEO_VI_WIDTH:
         return "video_vi_width";
      case MENU_LABEL_VIDEO_BLACK_FRAME_INSERTION:
         return "video_black_frame_insertion";
      case MENU_LABEL_VIDEO_HARD_SYNC_FRAMES:
         return "video_hard_sync_frames";
      case MENU_LABEL_SORT_SAVEFILES_ENABLE:
         return "sort_savefiles_enable";
      case MENU_LABEL_SORT_SAVESTATES_ENABLE:
         return "sort_savestates_enable";
      case MENU_LABEL_VIDEO_FULLSCREEN:
         return "video_fullscreen";
      case MENU_LABEL_PERFCNT_ENABLE:
         return "perfcnt_enable";
      case MENU_LABEL_VIDEO_SCALE:
         return "video_scale";
      case MENU_LABEL_VIDEO_SCALE_INTEGER:
         return "video_scale_integer";
      case MENU_LABEL_LIBRETRO_LOG_LEVEL:
         return "libretro_log_level";
      case MENU_LABEL_LOG_VERBOSITY:
         return "log_verbosity";
      case MENU_LABEL_SAVESTATE_AUTO_SAVE:
         return "savestate_auto_save";
      case MENU_LABEL_SAVESTATE_AUTO_LOAD:
         return "savestate_auto_load";
      case MENU_LABEL_SAVESTATE_AUTO_INDEX:
         return "savestate_auto_index";
      case MENU_LABEL_AUTOSAVE_INTERVAL:
         return "autosave_interval";
      case MENU_LABEL_BLOCK_SRAM_OVERWRITE:
         return "block_sram_overwrite";
      case MENU_LABEL_VIDEO_SHARED_CONTEXT:
         return "video_shared_context";
      case MENU_LABEL_RESTART_RETROARCH:
         return "restart_retroarch";
      case MENU_LABEL_NETPLAY_NICKNAME:
         return "netplay_nickname";
      case MENU_LABEL_USER_LANGUAGE:
         return "user_language";
      case MENU_LABEL_CAMERA_ALLOW:
         return "camera_allow";
      case MENU_LABEL_LOCATION_ALLOW:
         return "location_allow";
      case MENU_LABEL_PAUSE_LIBRETRO:
         return "menu_pause_libretro";
      case MENU_LABEL_INPUT_OSK_OVERLAY_ENABLE:
         return "input_osk_overlay_enable";
      case MENU_LABEL_INPUT_OVERLAY_ENABLE:
         return "input_overlay_enable";
      case MENU_LABEL_VIDEO_MONITOR_INDEX:
         return "video_monitor_index";
      case MENU_LABEL_VIDEO_FRAME_DELAY:
         return "video_frame_delay";
      case MENU_LABEL_INPUT_DUTY_CYCLE:
         return "input_duty_cycle";
      case MENU_LABEL_INPUT_TURBO_PERIOD:
         return "input_turbo_period";
      case MENU_LABEL_INPUT_AXIS_THRESHOLD:
         return "input_axis_threshold";
      case MENU_LABEL_INPUT_REMAP_BINDS_ENABLE:
         return "input_remap_binds_enable";
      case MENU_LABEL_INPUT_MAX_USERS:
         return "input_max_users";
      case MENU_LABEL_INPUT_AUTODETECT_ENABLE:
         return "input_autodetect_enable";
      case MENU_LABEL_AUDIO_OUTPUT_RATE:
         return "audio_output_rate";
      case MENU_LABEL_AUDIO_MAX_TIMING_SKEW:
         return "audio_max_timing_skew";
      case MENU_LABEL_CHEAT_APPLY_CHANGES:
         return "cheat_apply_changes";
      case MENU_LABEL_REMAP_FILE_SAVE_CORE:
         return "remap_file_save_core";
      case MENU_LABEL_REMAP_FILE_SAVE_GAME:
         return "remap_file_save_game";
      case MENU_LABEL_CHEAT_NUM_PASSES:
         return "cheat_num_passes";
      case MENU_LABEL_SHADER_APPLY_CHANGES:
         return "shader_apply_changes";
      case MENU_LABEL_COLLECTION:
         return "collection";
      case MENU_LABEL_REWIND_ENABLE:
         return "rewind_enable";
      case MENU_LABEL_CONTENT_COLLECTION_LIST:
         return "select_from_collection";
      case MENU_LABEL_DETECT_CORE_LIST:
         return "detect_core_list";
      case MENU_LABEL_LOAD_CONTENT_HISTORY:
         return "load_recent";
      case MENU_LABEL_AUDIO_ENABLE:
         return "audio_enable";
      case MENU_LABEL_FPS_SHOW:
         return "fps_show";
      case MENU_LABEL_AUDIO_MUTE:
         return "audio_mute_enable";
      case MENU_LABEL_VIDEO_SHADER_PASS:
         return "video_shader_pass";
      case MENU_LABEL_AUDIO_VOLUME:
         return "audio_volume";
      case MENU_LABEL_AUDIO_SYNC:
         return "audio_sync";
      case MENU_LABEL_AUDIO_RATE_CONTROL_DELTA:
         return "audio_rate_control_delta";
      case MENU_LABEL_VIDEO_SHADER_FILTER_PASS:
         return "video_shader_filter_pass";
      case MENU_LABEL_VIDEO_SHADER_SCALE_PASS:
         return "video_shader_scale_pass";
      case MENU_LABEL_VIDEO_SHADER_NUM_PASSES:
         return "video_shader_num_passes";
      case MENU_LABEL_RDB_ENTRY_DESCRIPTION:
         return "rdb_entry_description";
      case MENU_LABEL_RDB_ENTRY_GENRE:
         return "rdb_entry_genre";
      case MENU_LABEL_RDB_ENTRY_ORIGIN:
         return "rdb_entry_origin";
      case MENU_LABEL_RDB_ENTRY_PUBLISHER:
         return "rdb_entry_publisher";
      case MENU_LABEL_RDB_ENTRY_DEVELOPER:
         return "rdb_entry_developer";
      case MENU_LABEL_RDB_ENTRY_FRANCHISE:
         return "rdb_entry_franchise";
      case MENU_LABEL_RDB_ENTRY_MAX_USERS:
         return "rdb_entry_max_users";
      case MENU_LABEL_RDB_ENTRY_NAME:
         return "rdb_entry_name";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_RATING:
         return "rdb_entry_edge_magazine_rating";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_REVIEW:
         return "rdb_entry_edge_magazine_review";
      case MENU_LABEL_RDB_ENTRY_FAMITSU_MAGAZINE_RATING:
         return "rdb_entry_famitsu_magazine_rating";
      case MENU_LABEL_RDB_ENTRY_TGDB_RATING:
         return "rdb_entry_tgdb_rating";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_ISSUE:
         return "rdb_entry_edge_magazine_issue";
      case MENU_LABEL_RDB_ENTRY_RELEASE_MONTH:
         return "rdb_entry_releasemonth";
      case MENU_LABEL_RDB_ENTRY_RELEASE_YEAR:
         return "rdb_entry_releaseyear";
      case MENU_LABEL_RDB_ENTRY_ENHANCEMENT_HW:
         return "rdb_entry_enhancement_hw";
      case MENU_LABEL_RDB_ENTRY_SHA1:
         return "rdb_entry_sha1";
      case MENU_LABEL_RDB_ENTRY_CRC32:
         return "rdb_entry_crc32";
      case MENU_LABEL_RDB_ENTRY_MD5:
         return "rdb_entry_md5";
      case MENU_LABEL_RDB_ENTRY_BBFC_RATING:
         return "rdb_entry_bbfc_rating";
      case MENU_LABEL_RDB_ENTRY_ESRB_RATING:
         return "rdb_entry_esrb_rating";
      case MENU_LABEL_RDB_ENTRY_ELSPA_RATING:
         return "rdb_entry_elspa_rating";
      case MENU_LABEL_RDB_ENTRY_PEGI_RATING:
         return "rdb_entry_pegi_rating";
      case MENU_LABEL_RDB_ENTRY_CERO_RATING:
         return "rdb_entry_cero_rating";
      case MENU_LABEL_RDB_ENTRY_ANALOG:
         return "rdb_entry_analog";
      case MENU_LABEL_CONFIGURATIONS:
         return "configurations";
      case MENU_LABEL_LOAD_OPEN_ZIP:
         return "load_open_zip";
      case MENU_LABEL_REWIND_GRANULARITY:
         return "rewind_granularity";
      case MENU_LABEL_REMAP_FILE_LOAD:
         return "remap_file_load";
      case MENU_LABEL_CUSTOM_RATIO:
         return "custom_ratio";
      case MENU_LABEL_USE_THIS_DIRECTORY:
         return "use_this_directory";
      case MENU_LABEL_RDB_ENTRY_START_CONTENT:
         return "rdb_entry_start_content";
      case MENU_LABEL_CUSTOM_BIND:
         return "custom_bind";
      case MENU_LABEL_CUSTOM_BIND_ALL:
         return "custom_bind_all";
      case MENU_LABEL_DISK_OPTIONS:
         return "core_disk_options";
      case MENU_LABEL_CORE_CHEAT_OPTIONS:
         return "core_cheat_options";
      case MENU_LABEL_CORE_OPTIONS:
         return "core_options";
      case MENU_LABEL_DATABASE_MANAGER_LIST:
         return "database_manager_list";
      case MENU_LABEL_DEFERRED_DATABASE_MANAGER_LIST:
         return "deferred_database_manager_list";
      case MENU_LABEL_CURSOR_MANAGER_LIST:
         return "cursor_manager_list";
      case MENU_LABEL_DEFERRED_CURSOR_MANAGER_LIST:
         return "deferred_cursor_manager_list";
      case MENU_LABEL_CHEAT_FILE_LOAD:
         return "cheat_file_load";
      case MENU_LABEL_CHEAT_FILE_SAVE_AS:
         return "cheat_file_save_as";
      case MENU_LABEL_DEFERRED_RDB_ENTRY_DETAIL:
         return "deferred_rdb_entry_detail";
      case MENU_LABEL_FRONTEND_COUNTERS:
         return "frontend_counters";
      case MENU_LABEL_CORE_COUNTERS:
         return "core_counters";
      case MENU_LABEL_DISK_CYCLE_TRAY_STATUS:
         return "disk_cycle_tray_status";
      case MENU_LABEL_DISK_IMAGE_APPEND:
         return "disk_image_append";
      case MENU_LABEL_DEFERRED_CORE_LIST:
         return "deferred_core_list";
      case MENU_LABEL_DEFERRED_CORE_LIST_SET:
         return "deferred_core_list_set";
      case MENU_LABEL_INFO_SCREEN:
         return "info_screen";
      case MENU_LABEL_SETTINGS:
         return "settings";
      case MENU_LABEL_QUIT_RETROARCH:
         return "quit_retroarch";
      case MENU_LABEL_SHUTDOWN:
         return "shutdown";
      case MENU_LABEL_REBOOT:
         return "reboot";
      case MENU_LABEL_HELP:
         return "help";
      case MENU_LABEL_SAVE_NEW_CONFIG:
         return "save_new_config";
      case MENU_LABEL_RESTART_CONTENT:
         return "restart_content";
      case MENU_LABEL_TAKE_SCREENSHOT:
         return "take_screenshot";
      case MENU_LABEL_CORE_UPDATER_LIST:
         return "core_updater_list";
      case MENU_LABEL_CORE_UPDATER_BUILDBOT_URL:
         return "core_updater_buildbot_url";
      case MENU_LABEL_BUILDBOT_ASSETS_URL:
         return "buildbot_assets_url";
      case MENU_LABEL_NAVIGATION_WRAPAROUND:
         return "menu_navigation_wraparound_enable";
      case MENU_LABEL_NAVIGATION_BROWSER_FILTER_SUPPORTED_EXTENSIONS_ENABLE:
         return "menu_navigation_browser_filter_supported_extensions_enable";
      case MENU_LABEL_CORE_UPDATER_AUTO_EXTRACT_ARCHIVE:
         return "core_updater_auto_extract_archive";
      case MENU_LABEL_DEBUG_INFORMATION:
         return "debug_information";
      case MENU_LABEL_ACHIEVEMENT_LIST:
         return "achievement_list";
      case MENU_LABEL_SYSTEM_INFORMATION:
         return "system_information";
      case MENU_LABEL_ONLINE_UPDATER:
         return "online_updater";
      case MENU_LABEL_CORE_INFORMATION:
         return "core_information";
      case MENU_LABEL_CORE_LIST:
         return "load_core";
      case MENU_LABEL_LOAD_CONTENT:
         return "load_content_default";
      case MENU_LABEL_CLOSE_CONTENT:
         return "unload_core";
      case MENU_LABEL_MANAGEMENT:
         return "database_settings";
      case MENU_LABEL_SAVE_STATE:
         return "savestate";
      case MENU_LABEL_LOAD_STATE:
         return "loadstate";
      case MENU_LABEL_RESUME_CONTENT:
         return "resume_content";
      case MENU_LABEL_INPUT_DRIVER:
         return "input_driver";
      case MENU_LABEL_AUDIO_DRIVER:
         return "audio_driver";
      case MENU_LABEL_JOYPAD_DRIVER:
         return "input_joypad_driver";
      case MENU_LABEL_AUDIO_RESAMPLER_DRIVER:
         return "audio_resampler_driver";
      case MENU_LABEL_RECORD_DRIVER:
         return "record_driver";
      case MENU_LABEL_MENU_DRIVER:
         return "menu_driver";
      case MENU_LABEL_CAMERA_DRIVER:
         return "camera_driver";
      case MENU_LABEL_LOCATION_DRIVER:
         return "location_driver";
      case MENU_LABEL_OVERLAY_SCALE:
         return "input_overlay_scale";
      case MENU_LABEL_OVERLAY_PRESET:
         return "input_overlay";
      case MENU_LABEL_KEYBOARD_OVERLAY_PRESET:
         return "input_osk_overlay";
      case MENU_LABEL_AUDIO_DEVICE:
         return "audio_device";
      case MENU_LABEL_AUDIO_LATENCY:
         return "audio_latency";
      case MENU_LABEL_OVERLAY_OPACITY:
         return "input_overlay_opacity";
      case MENU_LABEL_MENU_WALLPAPER:
         return "menu_wallpaper";
      case MENU_LABEL_DYNAMIC_WALLPAPER:
         return "menu_dynamic_wallpaper_enable";
      case MENU_LABEL_BOXART:
         return "menu_boxart_enable";
      case MENU_LABEL_CORE_INPUT_REMAPPING_OPTIONS:
         return "core_input_remapping_options";
      case MENU_LABEL_SHADER_OPTIONS:
         return "shader_options";
      case MENU_LABEL_VIDEO_SHADER_PARAMETERS:
         return "video_shader_parameters";
      case MENU_LABEL_VIDEO_SHADER_PRESET_PARAMETERS:
         return "video_shader_preset_parameters";
      case MENU_LABEL_VIDEO_SHADER_PRESET_SAVE_AS:
         return "video_shader_preset_save_as";
      case MENU_LABEL_VIDEO_SHADER_PRESET:
         return "video_shader_preset";
      case MENU_LABEL_VIDEO_FILTER:
         return "video_filter";
      case MENU_LABEL_DEFERRED_VIDEO_FILTER:
         return "deferred_video_filter";
      case MENU_LABEL_DEFERRED_CORE_UPDATER_LIST:
         return "core_updater";
      case MENU_LABEL_AUDIO_DSP_PLUGIN:
         return "audio_dsp_plugin";
      case MENU_LABEL_UPDATE_ASSETS:
         return "update_assets";
      case MENU_LABEL_UPDATE_LAKKA:
         return "update_lakka";
      case MENU_LABEL_UPDATE_CHEATS:
         return "update_cheats";
      case MENU_LABEL_UPDATE_AUTOCONFIG_PROFILES:
         return "update_autoconfig_profiles";
      case MENU_LABEL_UPDATE_AUTOCONFIG_PROFILES_HID:
         return "update_autoconfig_profiles_hid";
      case MENU_LABEL_UPDATE_DATABASES:
         return "update_databases";
      case MENU_LABEL_UPDATE_OVERLAYS:
         return "update_overlays";
      case MENU_LABEL_UPDATE_CG_SHADERS:
         return "update_cg_shaders";
      case MENU_LABEL_UPDATE_GLSL_SHADERS:
         return "update_glsl_shaders";
      case MENU_LABEL_SCREEN_RESOLUTION:
         return "screen_resolution";
      case MENU_LABEL_USE_BUILTIN_IMAGE_VIEWER:
         return "use_builtin_image_viewer";
      case MENU_LABEL_INPUT_POLL_TYPE_BEHAVIOR:
         return "input_poll_type_behavior";
      default:
         break;
   }

   return "null";
}

const char *menu_hash_to_str_us(uint32_t hash)
{
   const char *ret = menu_hash_to_str_us_label(hash);

   if (ret && !string_is_equal(ret, "null"))
      return ret;

   switch (hash)
   {
      case MENU_LABEL_VALUE_CHEEVOS_TEST_UNOFFICIAL:
         return "Tëst unoffiçial";
      case MENU_LABEL_VALUE_CHEEVOS_SETTINGS:
         return "Retrö Âchievëmeñts";
      case MENU_LABEL_VALUE_INPUT_ICADE_ENABLE:
         return "Këyboärd Gamepad Màpping Énablé";
      case MENU_LABEL_VALUE_INPUT_KEYBOARD_GAMEPAD_MAPPING_TYPE:
         return "Kèyboard Gämepad Måpping Type";
      case MENU_LABEL_VALUE_INPUT_SMALL_KEYBOARD_ENABLE:
         return "Small Keyboard Eñäble";
      case MENU_LABEL_VALUE_SAVE_CURRENT_CONFIG:
         return "Sâve Current Çònfig";
      case MENU_LABEL_VALUE_STATE_SLOT:
         return "Stâte Slot";
      case MENU_LABEL_VALUE_ACCOUNTS_CHEEVOS_SETTINGS:
         return "Accouñts Cheevôs";
      case MENU_LABEL_VALUE_ACCOUNTS_CHEEVOS_USERNAME:
         return "Ûsërñame";
      case MENU_LABEL_VALUE_ACCOUNTS_CHEEVOS_PASSWORD:
         return "Pãsswòrd";
      case MENU_LABEL_VALUE_ACCOUNTS_RETRO_ACHIEVEMENTS:
         return "Retró Açhievemênts";
      case MENU_LABEL_VALUE_ACCOUNTS_LIST:
         return "Åccõuñts";
      case MENU_LABEL_VALUE_ACCOUNTS_LIST_END:
         return "Accøunts List Eñdpòint";
      case MENU_LABEL_VALUE_DEBUG_PANEL_ENABLE:
         return "Debug Panêl Eñablé";
      case MENU_LABEL_VALUE_HELP_SCANNING_CONTENT:
         return "Scannïng For Còñtênt";
      case MENU_LABEL_VALUE_CHEEVOS_DESCRIPTION:
         return "Descrîption";
      case MENU_LABEL_VALUE_HELP_AUDIO_VIDEO_TROUBLESHOOTING:
         return "Åudïô/Video Troûbléshootïng";
      case MENU_LABEL_VALUE_HELP_CHANGE_VIRTUAL_GAMEPAD:
         return "Chañging Vìrtûal Gamepåd Överlay";
      case MENU_LABEL_VALUE_HELP_WHAT_IS_A_CORE:
         return "What Is À Core¿";
      case MENU_LABEL_VALUE_HELP_LOADING_CONTENT:
         return "Loadiñg Coñtéñt";
      case MENU_LABEL_VALUE_HELP_LIST:
         return "Help";
      case MENU_LABEL_VALUE_HELP_CONTROLS:
         return "Basíç Mêñu Coñtrols";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS:
         return "Bâsic mênu coñtrøls";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_SCROLL_UP:
         return "Scroll Up";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_SCROLL_DOWN:
         return "Sçrôll Down";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_CONFIRM:
         return "Confìrm/OK";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_BACK:
         return "Baçk";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_START:
         return "Defaults";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_INFO:
         return "Info";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_TOGGLE_MENU:
         return "Toggle Menù";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_QUIT:
         return "Quit";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_TOGGLE_KEYBOARD:
         return "Tøggle Keÿboard";
      case MENU_LABEL_VALUE_OPEN_ARCHIVE:
         return "Opên Archîvé As Foldér";
      case MENU_LABEL_VALUE_LOAD_ARCHIVE:
         return "Lóad Ãrçhíve With Còrë";
      case MENU_LABEL_VALUE_INPUT_BACK_AS_MENU_TOGGLE_ENABLE:
         return "Baçk As Meñú Toggle Enable";
      case MENU_LABEL_VALUE_INPUT_MENU_TOGGLE_GAMEPAD_COMBO:
         return "Meñu Toggle Gamepád Cómbo";
      case MENU_LABEL_VALUE_INPUT_OVERLAY_HIDE_IN_MENU:
         return "Hidë Ovërlây Iñ Meñü";
      case MENU_VALUE_LANG_POLISH:
         return "Polish";
      case MENU_LABEL_VALUE_OVERLAY_AUTOLOAD_PREFERRED:
         return "Aútoload Prëferred Overlaÿ";
      case MENU_LABEL_VALUE_UPDATE_CORE_INFO_FILES:
         return "Updåté Çoré Info Filès";
      case MENU_LABEL_VALUE_DOWNLOAD_CORE_CONTENT:
         return "Downlòád Coñteñt";
      case MENU_LABEL_VALUE_SCAN_THIS_DIRECTORY:
         return "<Scäñ Thís Ðirectory>";
      case MENU_LABEL_VALUE_SCAN_FILE:
         return "Scán File";
      case MENU_LABEL_VALUE_SCAN_DIRECTORY:
         return "Scañ Ðiréçtory";
      case MENU_LABEL_VALUE_ADD_CONTENT_LIST:
         return "Ådd Coñtënt";
      case MENU_LABEL_VALUE_INFORMATION_LIST:
         return "Infórmatìon";
      case MENU_LABEL_VALUE_USE_BUILTIN_PLAYER:
         return "Use Bûiltîñ Media Playêr";
      case MENU_LABEL_VALUE_CONTENT_SETTINGS:
         return "Qüïck Mèñu";
      case MENU_LABEL_VALUE_RDB_ENTRY_CRC32:
         return "ÇRC32";
      case MENU_LABEL_VALUE_RDB_ENTRY_MD5:
         return "MÐ5";
      case MENU_LABEL_VALUE_LOAD_CONTENT_LIST:
         return "Løad Còñtent";
      case MENU_VALUE_ASK_ARCHIVE:
         return "Ask";
      case MENU_LABEL_VALUE_PRIVACY_SETTINGS:
         return "Prìvaçy";
      case MENU_VALUE_HORIZONTAL_MENU:
         return "Hõrizõñtal Menu";
      case MENU_VALUE_SETTINGS_TAB:
         return "Séttings táb";
      case MENU_VALUE_HISTORY_TAB:
         return "Histórÿ tab";
      case MENU_VALUE_ADD_TAB:
         return "Ädd täb";
      case MENU_VALUE_PLAYLISTS_TAB:
         return "Pláýlists tab";
      case MENU_LABEL_VALUE_NO_SETTINGS_FOUND:
         return "No settìngs found.";
      case MENU_LABEL_VALUE_NO_PERFORMANCE_COUNTERS:
         return "Ñø performance çounters.";
      case MENU_LABEL_VALUE_DRIVER_SETTINGS:
         return "Driver";
      case MENU_LABEL_VALUE_CONFIGURATION_SETTINGS:
         return "Coñfiguratíoñ";
      case MENU_LABEL_VALUE_CORE_SETTINGS:
         return "Corë";
      case MENU_LABEL_VALUE_VIDEO_SETTINGS:
         return "Videó";
      case MENU_LABEL_VALUE_LOGGING_SETTINGS:
         return "Logging";
      case MENU_LABEL_VALUE_SAVING_SETTINGS:
         return "Sàving";
      case MENU_LABEL_VALUE_REWIND_SETTINGS:
         return "Réwìñd";
      case MENU_VALUE_SHADER:
         return "Shãder";
      case MENU_VALUE_CHEAT:
         return "Cheat";
      case MENU_VALUE_USER:
         return "User";
      case MENU_LABEL_VALUE_SYSTEM_BGM_ENABLE:
         return "Sýstem BGM Eñable";
      case MENU_VALUE_RETROPAD:
         return "RetroPad";
      case MENU_VALUE_RETROKEYBOARD:
         return "RetröKeyböard";
      case MENU_LABEL_VALUE_AUDIO_BLOCK_FRAMES:
         return "Block Frames";
      case MENU_LABEL_VALUE_INPUT_BIND_MODE:
         return "Bind Mõdê";
      case MENU_LABEL_VALUE_INPUT_DESCRIPTOR_LABEL_SHOW:
         return "Ðisplây Inpút Descriptór Läbels";
      case MENU_LABEL_VALUE_INPUT_DESCRIPTOR_HIDE_UNBOUND:
         return "Hïde Ùnbound Core Input Desçriptors";
      case MENU_LABEL_VALUE_VIDEO_FONT_ENABLE:
         return "Display OSÐ Messagé";
      case MENU_LABEL_VALUE_VIDEO_FONT_PATH:
         return "OSD Message Fônt";
      case MENU_LABEL_VALUE_VIDEO_FONT_SIZE:
         return "OSÐ Méssãgé Sizé";
      case MENU_LABEL_VALUE_VIDEO_MESSAGE_POS_X:
         return "OSÐ Messáge X Pòsîtion";
      case MENU_LABEL_VALUE_VIDEO_MESSAGE_POS_Y:
         return "ÓSD Message Y Position";
      case MENU_LABEL_VALUE_VIDEO_SOFT_FILTER:
         return "Soft Fìlter Ênâblë";
      case MENU_LABEL_VALUE_VIDEO_FILTER_FLICKER:
         return "Flìckër filter";
      case MENU_VALUE_DIRECTORY_CONTENT:
         return "<Cóntent dir>";
      case MENU_VALUE_UNKNOWN:
         return "Uñknôwñ";
      case MENU_VALUE_DONT_CARE:
         return "Dóñ't cãre";
      case MENU_VALUE_LINEAR:
         return "Linear";
      case MENU_VALUE_NEAREST:
         return "Nearest";
      case MENU_VALUE_DIRECTORY_DEFAULT:
         return "<Default>";
      case MENU_VALUE_DIRECTORY_NONE:
         return "<Nôñe>";
      case MENU_VALUE_NOT_AVAILABLE:
         return "N/A";
      case MENU_LABEL_VALUE_INPUT_REMAPPING_DIRECTORY:
         return "Input Rêmãppîng Dir";
      case MENU_LABEL_VALUE_JOYPAD_AUTOCONFIG_DIR:
         return "Inpút Deviçé Aütocoñfig Dìr";
      case MENU_LABEL_VALUE_RECORDING_CONFIG_DIRECTORY:
         return "Reçording Config Dir";
      case MENU_LABEL_VALUE_RECORDING_OUTPUT_DIRECTORY:
         return "Reçørdiñg Ôutput Dìr";
      case MENU_LABEL_VALUE_SCREENSHOT_DIRECTORY:
         return "Screêñshót Dír";
      case MENU_LABEL_VALUE_PLAYLIST_DIRECTORY:
         return "Plaÿlist Ðir";
      case MENU_LABEL_VALUE_SAVEFILE_DIRECTORY:
         return "Savefilè Dir";
      case MENU_LABEL_VALUE_SAVESTATE_DIRECTORY:
         return "Savestate Dir";
      case MENU_LABEL_VALUE_STDIN_CMD_ENABLE:
         return "stdin Commands";
      case MENU_LABEL_VALUE_NETWORK_REMOTE_ENABLE:
         return "Network Gamepad";
      case MENU_LABEL_VALUE_VIDEO_DRIVER:
         return "Video Ðriver";
      case MENU_LABEL_VALUE_RECORD_ENABLE:
         return "Rêcord Ènable";
      case MENU_LABEL_VALUE_VIDEO_GPU_RECORD:
         return "GPÙ Recõrd Enable";
      case MENU_LABEL_VALUE_RECORD_PATH:
         return "Óutput Filë";
      case MENU_LABEL_VALUE_RECORD_USE_OUTPUT_DIRECTORY:
         return "Use Oûtpút Dïr";
      case MENU_LABEL_VALUE_RECORD_CONFIG:
         return "Record Çôñfig";
      case MENU_LABEL_VALUE_VIDEO_POST_FILTER_RECORD:
         return "Pøst fîlter reçord Enable";
      case MENU_LABEL_VALUE_CORE_ASSETS_DIRECTORY:
         return "Ðownloåds Dir";
      case MENU_LABEL_VALUE_ASSETS_DIRECTORY:
         return "Assets Dir";
      case MENU_LABEL_VALUE_DYNAMIC_WALLPAPERS_DIRECTORY:
         return "Dynamiç Wallpapèrs Dír";
      case MENU_LABEL_VALUE_BOXARTS_DIRECTORY:
         return "Bóxarts Dir";
      case MENU_LABEL_VALUE_RGUI_BROWSER_DIRECTORY:
         return "File Browser Ðir";
      case MENU_LABEL_VALUE_RGUI_CONFIG_DIRECTORY:
         return "Config Dir";
      case MENU_LABEL_VALUE_LIBRETRO_INFO_PATH:
         return "Còre Înfo Dir";
      case MENU_LABEL_VALUE_LIBRETRO_DIR_PATH:
         return "Cöre Dir";
      case MENU_LABEL_VALUE_CURSOR_DIRECTORY:
         return "Çúrsor Dir";
      case MENU_LABEL_VALUE_CONTENT_DATABASE_DIRECTORY:
         return "Còntênt Ðatabase Dir";
      case MENU_LABEL_VALUE_SYSTEM_DIRECTORY:
         return "Systèm/BÎOS Ðir";
      case MENU_LABEL_VALUE_CHEAT_DATABASE_PATH:
         return "Çheat Filé Dir";
      case MENU_LABEL_VALUE_CACHE_DIRECTORY:
         return "Caçhe Dir";
      case MENU_LABEL_VALUE_AUDIO_FILTER_DIR:
         return "Audiò Filter Dir";
      case MENU_LABEL_VALUE_VIDEO_SHADER_DIR:
         return "Video Shader Dir";
      case MENU_LABEL_VALUE_VIDEO_FILTER_DIR:
         return "Vìdêo Filter Ðir";
      case MENU_LABEL_VALUE_OVERLAY_DIRECTORY:
         return "Øverlaÿ Ðïr";
      case MENU_LABEL_VALUE_OSK_OVERLAY_DIRECTORY:
         return "OSK Overlay Dir";
      case MENU_LABEL_VALUE_NETPLAY_CLIENT_SWAP_INPUT:
         return "Swap Netplây Input";
      case MENU_LABEL_VALUE_NETPLAY_SPECTATOR_MODE_ENABLE:
         return "Nètplaý Speçtatør Enable";
      case MENU_LABEL_VALUE_NETPLAY_IP_ADDRESS:
         return "ÍP Àddress";
      case MENU_LABEL_VALUE_NETPLAY_TCP_UDP_PORT:
         return "Nètplay TÇP/UÐP Port";
      case MENU_LABEL_VALUE_NETPLAY_ENABLE:
         return "Netplay Enåblê";
      case MENU_LABEL_VALUE_NETPLAY_DELAY_FRAMES:
         return "Netpläy Ðëlay Frames";
      case MENU_LABEL_VALUE_NETPLAY_MODE:
         return "Ñetplay Çlient Enable";
      case MENU_LABEL_VALUE_RGUI_SHOW_START_SCREEN:
         return "Shøw Start Sçréèn";
      case MENU_LABEL_VALUE_TITLE_COLOR:
         return "Menu title color";
      case MENU_LABEL_VALUE_ENTRY_HOVER_COLOR:
         return "Menu ëñtrÿ hover color";
      case MENU_LABEL_VALUE_TIMEDATE_ENABLE:
         return "Ðîspláy time / dàté";
      case MENU_LABEL_VALUE_THREADED_DATA_RUNLOOP_ENABLE:
         return "Threâdêd dátä runlòop";
      case MENU_LABEL_VALUE_ENTRY_NORMAL_COLOR:
         return "Menu èntry ñormal côlor";
      case MENU_LABEL_VALUE_SHOW_ADVANCED_SETTINGS:
         return "Show Advañçèd Settíngs";
      case MENU_LABEL_VALUE_MOUSE_ENABLE:
         return "Mouse Suppórt";
      case MENU_LABEL_VALUE_POINTER_ENABLE:
         return "Touçh Suppórt";
      case MENU_LABEL_VALUE_CORE_ENABLE:
         return "Ðisplay cõre nâme";
      case MENU_LABEL_VALUE_DPI_OVERRIDE_ENABLE:
         return "ÐPI Òvérrîde Enablé";
      case MENU_LABEL_VALUE_DPI_OVERRIDE_VALUE:
         return "DPI Override";
      case MENU_LABEL_VALUE_XMB_SCALE_FACTOR:
         return "XMB Scalè Façtor";
      case MENU_LABEL_VALUE_XMB_ALPHA_FACTOR:
         return "XMB Alphá Factor";
      case MENU_LABEL_VALUE_XMB_FONT:
         return "XMB Foñt";
      case MENU_LABEL_VALUE_XMB_THEME:
         return "XMB Thèmê";
      case MENU_LABEL_VALUE_SUSPEND_SCREENSAVER_ENABLE:
         return "Suspeñd Scrêénsàver";
      case MENU_LABEL_VALUE_VIDEO_DISABLE_COMPOSITION:
         return "Dïsàble Desktøp Compòsitíõn";
      case MENU_LABEL_VALUE_PAUSE_NONACTIVE:
         return "Ðõñ't run íñ bâckground";
      case MENU_LABEL_VALUE_UI_COMPANION_START_ON_BOOT:
         return "UI Compänión Start Ôn Boot";
      case MENU_LABEL_VALUE_UI_COMPANION_ENABLE:
         return "UI Compänìoñ Enable";
      case MENU_LABEL_VALUE_UI_MENUBAR_ENABLE:
         return "Ménubar";
      case MENU_LABEL_VALUE_ARCHIVE_MODE:
         return "Archivê Filè Ássoçatioñ Actioñ";
      case MENU_LABEL_VALUE_NETWORK_CMD_ENABLE:
         return "Ñetwork Çommands";
      case MENU_LABEL_VALUE_NETWORK_CMD_PORT:
         return "Nêtwork Commând Pòrt";
      case MENU_LABEL_VALUE_HISTORY_LIST_ENABLE:
         return "Histöry List Enablê";
      case MENU_LABEL_VALUE_CONTENT_HISTORY_SIZE:
         return "Historý List Size";
      case MENU_LABEL_VALUE_VIDEO_REFRESH_RATE_AUTO:
         return "Èstìmated Mõñitor Frámerate";
      case MENU_LABEL_VALUE_DUMMY_ON_CORE_SHUTDOWN:
         return "Dummy On Core Shutdowñ";
      case MENU_LABEL_VALUE_CORE_SET_SUPPORTS_NO_CONTENT_ENABLE:
         return "Àutomåtïçally stãrt å corê";
      case MENU_LABEL_VALUE_FRAME_THROTTLE_ENABLE:
         return "Limìt Maximum Ruñ Spèêd";
      case MENU_LABEL_VALUE_FASTFORWARD_RATIO:
         return "Màximum Ruñ Speéd";
      case MENU_LABEL_VALUE_AUTO_REMAPS_ENABLE:
         return "Lóad Remâp Filës Aûtõmatically";
      case MENU_LABEL_VALUE_SLOWMOTION_RATIO:
         return "Slow-Motìoñ Ratio";
      case MENU_LABEL_VALUE_CORE_SPECIFIC_CONFIG:
         return "Configurãtiön Per-Corè";
      case MENU_LABEL_VALUE_GAME_SPECIFIC_OPTIONS:
         return "Ùsé per-game core options if available";
      case MENU_LABEL_VALUE_GAME_SPECIFIC_OPTIONS_CREATE:
         return "Crêatè gáme-optíons file";
      case MENU_LABEL_VALUE_GAME_SPECIFIC_OPTIONS_IN_USE:
         return "Gamê-ôptioñs file";
      case MENU_LABEL_VALUE_AUTO_OVERRIDES_ENABLE:
         return "Lòàd Overrídê Files Åutomäticâllý";
      case MENU_LABEL_VALUE_CONFIG_SAVE_ON_EXIT:
         return "Sáve Coñfigùràtion On Exit";
      case MENU_LABEL_VALUE_VIDEO_SMOOTH:
         return "HW Bilinéär Filtering";
      case MENU_LABEL_VALUE_VIDEO_GAMMA:
         return "Video Gammä";
      case MENU_LABEL_VALUE_VIDEO_ALLOW_ROTATE:
         return "Âllòw rotatiøn";
      case MENU_LABEL_VALUE_VIDEO_HARD_SYNC:
         return "Hard GPU Sync";
      case MENU_LABEL_VALUE_VIDEO_SWAP_INTERVAL:
         return "VSýnc Swap Interval";
      case MENU_LABEL_VALUE_VIDEO_VSYNC:
         return "VSÿñç";
      case MENU_LABEL_VALUE_VIDEO_THREADED:
         return "Threadèd Videô";
      case MENU_LABEL_VALUE_VIDEO_ROTATION:
         return "Rotatïon";
      case MENU_LABEL_VALUE_VIDEO_GPU_SCREENSHOT:
         return "GPÚ Scrëenshot Ënablè";
      case MENU_LABEL_VALUE_VIDEO_CROP_OVERSCAN:
         return "Çrop Overscan (Relóåd)";
      case MENU_LABEL_VALUE_VIDEO_ASPECT_RATIO_INDEX:
         return "Aspect Ratío Índex";
      case MENU_LABEL_VALUE_VIDEO_ASPECT_RATIO_AUTO:
         return "Auto Åspect Ratio";
      case MENU_LABEL_VALUE_VIDEO_FORCE_ASPECT:
         return "Forçe àspèçt rátíô";
      case MENU_LABEL_VALUE_VIDEO_REFRESH_RATE:
         return "Refresh Rate";
      case MENU_LABEL_VALUE_VIDEO_FORCE_SRGB_DISABLE:
         return "Förce-disablé sRGB FBÔ";
      case MENU_LABEL_VALUE_VIDEO_WINDOWED_FULLSCREEN:
         return "Wìñdowéd Fullsçrêen Mode";
      case MENU_LABEL_VALUE_PAL60_ENABLE:
         return "Úse PAL60 Mode";
      case MENU_LABEL_VALUE_VIDEO_VFILTER:
         return "Dëflickër";
      case MENU_LABEL_VALUE_VIDEO_VI_WIDTH:
         return "Set VI Sçrêeñ Wìdth";
      case MENU_LABEL_VALUE_VIDEO_BLACK_FRAME_INSERTION:
         return "Blaçk Frame Íñsertion";
      case MENU_LABEL_VALUE_VIDEO_HARD_SYNC_FRAMES:
         return "Hârd GPU Sÿnc Frames";
      case MENU_LABEL_VALUE_SORT_SAVEFILES_ENABLE:
         return "Sõrt Saves Ìñ Foldèrs";
      case MENU_LABEL_VALUE_SORT_SAVESTATES_ENABLE:
         return "Sort Savestätes Iñ Fòlders";
      case MENU_LABEL_VALUE_VIDEO_FULLSCREEN:
         return "Usë Fûllscreên Modë";
      case MENU_LABEL_VALUE_VIDEO_SCALE:
         return "Windowed Scale";
      case MENU_LABEL_VALUE_VIDEO_SCALE_INTEGER:
         return "Iñteger Scale";
      case MENU_LABEL_VALUE_PERFCNT_ENABLE:
         return "Performañçé Còuntérs";
      case MENU_LABEL_VALUE_LIBRETRO_LOG_LEVEL:
         return "Çore Loggiñg Level";
      case MENU_LABEL_VALUE_LOG_VERBOSITY:
         return "Lôgging Verbosîtý";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_LOAD:
         return "Àutô Lõad State";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_INDEX:
         return "Savë State Auto Index";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_SAVE:
         return "Äutò Save State";
      case MENU_LABEL_VALUE_AUTOSAVE_INTERVAL:
         return "SavêRAM Ãùtôsåvè Înterval";
      case MENU_LABEL_VALUE_BLOCK_SRAM_OVERWRITE:
         return "Ðon't õverwrite SaveRAM on loadîng sävestate";
      case MENU_LABEL_VALUE_VIDEO_SHARED_CONTEXT:
         return "HW Shäred Còntëxt Éñâblé";
      case MENU_LABEL_VALUE_RESTART_RETROARCH:
         return "Restart RetroÁrçh";
      case MENU_LABEL_VALUE_NETPLAY_NICKNAME:
         return "Ùsérnäme";
      case MENU_LABEL_VALUE_USER_LANGUAGE:
         return "Lañguage";
      case MENU_LABEL_VALUE_CAMERA_ALLOW:
         return "Àllow Camera";
      case MENU_LABEL_VALUE_LOCATION_ALLOW:
         return "Àllow Lôcâtíoñ";
      case MENU_LABEL_VALUE_PAUSE_LIBRETRO:
         return "Päuse wheñ menu âctïvãtêd";
      case MENU_LABEL_VALUE_INPUT_OSK_OVERLAY_ENABLE:
         return "Ðìspláy Keyboard Øvërlay";
      case MENU_LABEL_VALUE_INPUT_OVERLAY_ENABLE:
         return "Dìsplaý Överlãy";
      case MENU_LABEL_VALUE_VIDEO_MONITOR_INDEX:
         return "Mònìtor Îndex";
      case MENU_LABEL_VALUE_VIDEO_FRAME_DELAY:
         return "Framé Delay";
      case MENU_LABEL_VALUE_INPUT_DUTY_CYCLE:
         return "Ðuty Cycle";
      case MENU_LABEL_VALUE_INPUT_TURBO_PERIOD:
         return "Turbo Pèriod";
      case MENU_LABEL_VALUE_INPUT_AXIS_THRESHOLD:
         return "Input Axis Thrëshold";
      case MENU_LABEL_VALUE_INPUT_REMAP_BINDS_ENABLE:
         return "Remäp Bînds Enäble";
      case MENU_LABEL_VALUE_INPUT_MAX_USERS:
         return "Max Users";
      case MENU_LABEL_VALUE_INPUT_AUTODETECT_ENABLE:
         return "Autoçöñfig Enablé";
      case MENU_LABEL_VALUE_AUDIO_OUTPUT_RATE:
         return "Audio Oütput Râte (KHz)";
      case MENU_LABEL_VALUE_AUDIO_MAX_TIMING_SKEW:
         return "Audío Mâxímum Tímiñg Skëw";
      case MENU_LABEL_VALUE_CHEAT_NUM_PASSES:
         return "Chêat Pásses";
      case MENU_LABEL_VALUE_REMAP_FILE_SAVE_CORE:
         return "Save Corè Rémàp File";
      case MENU_LABEL_VALUE_REMAP_FILE_SAVE_GAME:
         return "Save Gåme Rêmãp Filé";
      case MENU_LABEL_VALUE_CHEAT_APPLY_CHANGES:
         return "Àpplÿ Çhêat Chañges";
      case MENU_LABEL_VALUE_SHADER_APPLY_CHANGES:
         return "Applý Shadér Çhänges";
      case MENU_LABEL_VALUE_REWIND_ENABLE:
         return "Rêwiñd Eñáble";
      case MENU_LABEL_VALUE_CONTENT_COLLECTION_LIST:
         return "Selèct Frõm Çóllêçtioñ";
      case MENU_LABEL_VALUE_DETECT_CORE_LIST:
         return "Selêct File Añd Detêçt Çore";
      case MENU_LABEL_VALUE_DOWNLOADED_FILE_DETECT_CORE_LIST:
         return "Sèlêçt Downloàded Filé Änd Ðêteçt Çorê";
      case MENU_LABEL_VALUE_LOAD_CONTENT_HISTORY:
         return "Load Reçent";
      case MENU_LABEL_VALUE_AUDIO_ENABLE:
         return "Âùdìo Eñable";
      case MENU_LABEL_VALUE_FPS_SHOW:
         return "Displaý Framêrate";
      case MENU_LABEL_VALUE_AUDIO_MUTE:
         return "Audîo Mutê";
      case MENU_LABEL_VALUE_AUDIO_VOLUME:
         return "Audio Volumê Levël (dB)";
      case MENU_LABEL_VALUE_AUDIO_SYNC:
         return "Audìo Sync Êñable";
      case MENU_LABEL_VALUE_AUDIO_RATE_CONTROL_DELTA:
         return "Aüdiö Rate Contrôl Dêltä";
      case MENU_LABEL_VALUE_VIDEO_SHADER_NUM_PASSES:
         return "Shadër Passës";
      case MENU_LABEL_VALUE_RDB_ENTRY_SHA1:
         return "SHA1";
      case MENU_LABEL_VALUE_CONFIGURATIONS:
         return "Loád Coñfîguration";
      case MENU_LABEL_VALUE_REWIND_GRANULARITY:
         return "Rewiñd Grañúlarìty";
      case MENU_LABEL_VALUE_REMAP_FILE_LOAD:
         return "Load Remap Filê";
      case MENU_LABEL_VALUE_CUSTOM_RATIO:
         return "Çùstom Ratìo";
      case MENU_LABEL_VALUE_USE_THIS_DIRECTORY:
         return "<Use this directorý>";
      case MENU_LABEL_VALUE_RDB_ENTRY_START_CONTENT:
         return "Start Content";
      case MENU_LABEL_VALUE_DISK_OPTIONS:
         return "Core Ðisk Options";
      case MENU_LABEL_VALUE_CORE_OPTIONS:
         return "Cørê Øptions";
      case MENU_LABEL_VALUE_CORE_CHEAT_OPTIONS:
         return "Çore Çhêat Optiõns";
      case MENU_LABEL_VALUE_CHEAT_FILE_LOAD:
         return "Cheàt Fíle Load";
      case MENU_LABEL_VALUE_CHEAT_FILE_SAVE_AS:
         return "Cheat File Save Ás";
      case MENU_LABEL_VALUE_CORE_COUNTERS:
         return "Corë Countèrs";
      case MENU_LABEL_VALUE_TAKE_SCREENSHOT:
         return "Tákë Sçreenshot";
      case MENU_LABEL_VALUE_RESUME:
         return "Resume";
      case MENU_LABEL_VALUE_DISK_INDEX:
         return "Disk Index";
      case MENU_LABEL_VALUE_FRONTEND_COUNTERS:
         return "Froñtënd Çoùnters";
      case MENU_LABEL_VALUE_DISK_IMAGE_APPEND:
         return "Disk Ìmägê Appeñd";
      case MENU_LABEL_VALUE_DISK_CYCLE_TRAY_STATUS:
         return "Ðisk Çycle Tray Status";
      case MENU_LABEL_VALUE_NO_PLAYLIST_ENTRIES_AVAILABLE:
         return "No plåylist entriès avaïlable.";
      case MENU_LABEL_VALUE_NO_CORE_INFORMATION_AVAILABLE:
         return "Ño çore ínformatïøn availãble.";
      case MENU_LABEL_VALUE_NO_CORE_OPTIONS_AVAILABLE:
         return "Ñõ core options åvailablê.";
      case MENU_LABEL_VALUE_NO_CORES_AVAILABLE:
         return "No cørés avaîlablé.";
      case MENU_VALUE_NO_CORE:
         return "No Çöré";
      case MENU_LABEL_VALUE_DATABASE_MANAGER:
         return "Database Manager";
      case MENU_LABEL_VALUE_CURSOR_MANAGER:
         return "Cursor Manager";
      case MENU_VALUE_MAIN_MENU:
         return "Main Menu";
      case MENU_LABEL_VALUE_SETTINGS:
         return "Settings";
      case MENU_LABEL_VALUE_QUIT_RETROARCH:
         return "Quît RetroArch";
      case MENU_LABEL_VALUE_SHUTDOWN:
         return "Shutdown";
      case MENU_LABEL_VALUE_REBOOT:
         return "Rèboøt";
      case MENU_LABEL_VALUE_HELP:
         return "help";
      case MENU_LABEL_VALUE_SAVE_NEW_CONFIG:
         return "Savé Ñëw Config";
      case MENU_LABEL_VALUE_RESTART_CONTENT:
         return "Rèstart Content";
      case MENU_LABEL_VALUE_CORE_UPDATER_LIST:
         return "Cørè Updater";
      case MENU_LABEL_VALUE_CORE_UPDATER_BUILDBOT_URL:
         return "Búildbót Cores ÚRL";
      case MENU_LABEL_VALUE_BUILDBOT_ASSETS_URL:
         return "Buîldbot Ãssets ÛRL";
      case MENU_LABEL_VALUE_NAVIGATION_WRAPAROUND:
         return "Ñåvigation Wràp-Àröund";
      case MENU_LABEL_VALUE_NAVIGATION_BROWSER_FILTER_SUPPORTED_EXTENSIONS_ENABLE:
         return "Filtèr by suppòrted extensîons";
      case MENU_LABEL_VALUE_CORE_UPDATER_AUTO_EXTRACT_ARCHIVE:
         return "Aùtomatiçally èxtraçt dowñloaded árçhivê";
      case MENU_LABEL_VALUE_SYSTEM_INFORMATION:
         return "Sÿstem Ínfôrmâtiön";
      case MENU_LABEL_VALUE_DEBUG_INFORMATION:
         return "Debúg Ínformatioñ";
      case MENU_LABEL_VALUE_ACHIEVEMENT_LIST:
         return "Âchïevemént Lîst";
      case MENU_LABEL_VALUE_ONLINE_UPDATER:
         return "Onliñè Üpdater";
      case MENU_LABEL_VALUE_CORE_INFORMATION:
         return "Çôre Íñfõrmàtióñ";
      case MENU_LABEL_VALUE_DIRECTORY_NOT_FOUND:
         return "Directory ñøt found.";
      case MENU_LABEL_VALUE_NO_ITEMS:
         return "No items.";
      case MENU_LABEL_VALUE_CORE_LIST:
         return "Löad Core";
      case MENU_LABEL_VALUE_LOAD_CONTENT:
         return "Selëct File";
      case MENU_LABEL_VALUE_CLOSE_CONTENT:
         return "Close Content";
      case MENU_LABEL_VALUE_MANAGEMENT:
         return "Databâsè Settïngs";
      case MENU_LABEL_VALUE_SAVE_STATE:
         return "Save State";
      case MENU_LABEL_VALUE_LOAD_STATE:
         return "Load Stàtë";
      case MENU_LABEL_VALUE_RESUME_CONTENT:
         return "Resume Contënt";
      case MENU_LABEL_VALUE_INPUT_DRIVER:
         return "Ìnpùt Ðrîvêr";
      case MENU_LABEL_VALUE_AUDIO_DRIVER:
         return "Aùdiò Driver";
      case MENU_LABEL_VALUE_JOYPAD_DRIVER:
         return "Joÿpåd Driver";
      case MENU_LABEL_VALUE_AUDIO_RESAMPLER_DRIVER:
         return "Ãudîo Resampler Driver";
      case MENU_LABEL_VALUE_RECORD_DRIVER:
         return "Rëçord Ðrivêr";
      case MENU_LABEL_VALUE_MENU_DRIVER:
         return "Mênû Driver";
      case MENU_LABEL_VALUE_CAMERA_DRIVER:
         return "Camêrá Drîver";
      case MENU_LABEL_VALUE_LOCATION_DRIVER:
         return "Loçàtioñ Driver";
      case MENU_LABEL_VALUE_UNABLE_TO_READ_COMPRESSED_FILE:
         return "Unable to réâd comprêssed fïle.";
      case MENU_LABEL_VALUE_OVERLAY_SCALE:
         return "Ovërlaý Scale";
      case MENU_LABEL_VALUE_OVERLAY_PRESET:
         return "Overlaÿ Preset";
      case MENU_LABEL_VALUE_AUDIO_LATENCY:
         return "Ãúdiø Látencý (ms)";
      case MENU_LABEL_VALUE_AUDIO_DEVICE:
         return "Audìo Dëviçe";
      case MENU_LABEL_VALUE_KEYBOARD_OVERLAY_PRESET:
         return "Keÿboard Overlay Presét";
      case MENU_LABEL_VALUE_OVERLAY_OPACITY:
         return "Overlaÿ Øpacîty";
      case MENU_LABEL_VALUE_MENU_WALLPAPER:
         return "Meñû Wallpäpêr";
      case MENU_LABEL_VALUE_DYNAMIC_WALLPAPER:
         return "Dynamiç Wallpapër";
      case MENU_LABEL_VALUE_BOXART:
         return "Ðisplay Boxart";
      case MENU_LABEL_VALUE_CORE_INPUT_REMAPPING_OPTIONS:
         return "Cøre Ïñput Optíøns";
      case MENU_LABEL_VALUE_SHADER_OPTIONS:
         return "Shader Optíons";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PARAMETERS:
         return "Previëw Shadêr Parameters";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET_PARAMETERS:
         return "Ménû Shader Parameters";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET_SAVE_AS:
         return "Shadèr Prèset Save Ås";
      case MENU_LABEL_VALUE_NO_SHADER_PARAMETERS:
         return "Ño shader pãrameters.";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET:
         return "Load Shàder Preset";
      case MENU_LABEL_VALUE_VIDEO_FILTER:
         return "Vidèo Filter";
      case MENU_LABEL_VALUE_AUDIO_DSP_PLUGIN:
         return "Äudïo DSP Plugiñ";
      case MENU_LABEL_VALUE_STARTING_DOWNLOAD:
         return "Starting download: ";
      case MENU_VALUE_SECONDS:
         return "secøñds";
      case MENU_VALUE_OFF:
         return "OFF";
      case MENU_VALUE_ON:
         return "ON";
      case MENU_LABEL_VALUE_UPDATE_ASSETS:
         return "Ùpdâte Assets";
      case MENU_LABEL_VALUE_UPDATE_LAKKA:
         return "Updàté Làkka";
      case MENU_LABEL_VALUE_UPDATE_CHEATS:
         return "Update Cheats";
      case MENU_LABEL_VALUE_UPDATE_AUTOCONFIG_PROFILES:
         return "Updáte Aútoconfig Profilës";
      case MENU_LABEL_VALUE_UPDATE_AUTOCONFIG_PROFILES_HID:
         return "Updâte Åutøcônfig Profilës (HIÐ)";
      case MENU_LABEL_VALUE_UPDATE_DATABASES:
         return "Updàte Databåses";
      case MENU_LABEL_VALUE_UPDATE_OVERLAYS:
         return "Updatè Överlays";
      case MENU_LABEL_VALUE_UPDATE_CG_SHADERS:
         return "Update Cg Shádërs";
      case MENU_LABEL_VALUE_UPDATE_GLSL_SHADERS:
         return "Update GLSL Shâders";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_NAME:
         return "Cøre nãme";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_LABEL:
         return "Cõre labél";
      case MENU_LABEL_VALUE_CORE_INFO_SYSTEM_NAME:
         return "System namê";
      case MENU_LABEL_VALUE_CORE_INFO_SYSTEM_MANUFACTURER:
         return "Systèm manüfaçturer";
      case MENU_LABEL_VALUE_CORE_INFO_CATEGORIES:
         return "Categoriês";
      case MENU_LABEL_VALUE_CORE_INFO_AUTHORS:
         return "Authórs";
      case MENU_LABEL_VALUE_CORE_INFO_PERMISSIONS:
         return "Pêrmissiøñs";
      case MENU_LABEL_VALUE_CORE_INFO_LICENSES:
         return "Liçensê(s)";
      case MENU_LABEL_VALUE_CORE_INFO_SUPPORTED_EXTENSIONS:
         return "Supportêd ëxtensioñs";
      case MENU_LABEL_VALUE_CORE_INFO_FIRMWARE:
         return "Firmwarè";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_NOTES:
         return "Çorè notes";
      case MENU_LABEL_VALUE_SYSTEM_INFO_BUILD_DATE:
         return "Build datè";
      case MENU_LABEL_VALUE_SYSTEM_INFO_GIT_VERSION:
         return "Gît versïon";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CPU_FEATURES:
         return "CPU Feåtures";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_IDENTIFIER:
         return "Frontend identifier";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_NAME:
         return "Frontênd ñame";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_OS:
         return "Frontend OS";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RETRORATING_LEVEL:
         return "RetroRatiñg levèl";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE:
         return "Pøwer soürçe";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_NO_SOURCE:
         return "Nô sourçë";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_CHARGING:
         return "Chargîñg";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_CHARGED:
         return "Chãrged";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_DISCHARGING:
         return "Dischargìñg";
      case MENU_LABEL_VALUE_SYSTEM_INFO_VIDEO_CONTEXT_DRIVER:
         return "Vidèo coñtext drïver";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_MM_WIDTH:
         return "Displây metric wídth (mm)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_MM_HEIGHT:
         return "Díspláy mêtrïç heíght (mm)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_DPI:
         return "Displäy metríç DPI";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBRETRODB_SUPPORT:
         return "LibrêtróDB súppõrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OVERLAY_SUPPORT:
         return "Overlaý súpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_COMMAND_IFACE_SUPPORT:
         return "Commãnd interface sùpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_NETWORK_REMOTE_SUPPORT:
         return "Ñetwork Gamepád suppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_NETWORK_COMMAND_IFACE_SUPPORT:
         return "Nétwork Çõmmand ìñtérface support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_COCOA_SUPPORT:
         return "Çóçoa support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RPNG_SUPPORT:
         return "PNG suppórt (RPNG)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL_SUPPORT:
         return "SDL1.2 suppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL2_SUPPORT:
         return "SÐL2 suppòrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_VULKAN_SUPPORT:
         return "Vulkan sûpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENGL_SUPPORT:
         return "OpeñGL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENGLES_SUPPORT:
         return "OpenGL ES support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_THREADING_SUPPORT:
         return "Threading sûpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_KMS_SUPPORT:
         return "KMS/EGL süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_UDEV_SUPPORT:
         return "Udev support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENVG_SUPPORT:
         return "OpeñVG súppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_EGL_SUPPORT:
         return "ÉGL suppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_X11_SUPPORT:
         return "X11 süppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_WAYLAND_SUPPORT:
         return "Waylañd sùppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_XVIDEO_SUPPORT:
         return "XVideo support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ALSA_SUPPORT:
         return "ALSA sùppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OSS_SUPPORT:
         return "OSS sûpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENAL_SUPPORT:
         return "OpéñAL súppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENSL_SUPPORT:
         return "OpéñSL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RSOUND_SUPPORT:
         return "RSound suppòrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ROARAUDIO_SUPPORT:
         return "RøarAudio sûppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_JACK_SUPPORT:
         return "JACK support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_PULSEAUDIO_SUPPORT:
         return "PulsëAùdiô support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DSOUND_SUPPORT:
         return "ÐìrectSound súpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_XAUDIO2_SUPPORT:
         return "XÃüdió2 súpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ZLIB_SUPPORT:
         return "Zlib süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_7ZIP_SUPPORT:
         return "7zíp süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DYLIB_SUPPORT:
         return "Ðynamîc líbrãry support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CG_SUPPORT:
         return "Çg súpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_GLSL_SUPPORT:
         return "GLSL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_HLSL_SUPPORT:
         return "HLSL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBXML2_SUPPORT:
         return "libxml2 XML pãrsing support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL_IMAGE_SUPPORT:
         return "SDL imåge support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FBO_SUPPORT:
         return "OpenGL/Diréçt3D render-to-texture (mûlti-pãss shadèrs) support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DYNAMIC_SUPPORT:
         return "Dÿnamiç rün-time lóadiñg of lîbrètro librarý";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FFMPEG_SUPPORT:
         return "FFmpêg súpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CORETEXT_SUPPORT:
         return "ÇôreText sùpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FREETYPE_SUPPORT:
         return "FreéTypê support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_NETPLAY_SUPPORT:
         return "Netplaÿ (peer-to-pëër) support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_PYTHON_SUPPORT:
         return "Python (scrîpt sûpport in shaders) sùpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_V4L2_SUPPORT:
         return "Video4Liñúx2 suppòrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBUSB_SUPPORT:
         return "Libusb suppôrt";
      case MENU_LABEL_VALUE_YES:
         return "Yês";
      case MENU_LABEL_VALUE_NO:
         return "Ñò";
      case MENU_VALUE_BACK:
         return "BAÇK";
      case MENU_LABEL_VALUE_SCREEN_RESOLUTION:
         return "Scrêen Resolutioñ";
      case MENU_VALUE_DISABLED:
         return "Dïsabled";
      case MENU_VALUE_PORT:
         return "Port";
      case MENU_VALUE_NONE:
         return "Ñonê";
      case MENU_LABEL_VALUE_RDB_ENTRY_DEVELOPER:
         return "Dèvëlopèr";
      case MENU_LABEL_VALUE_RDB_ENTRY_PUBLISHER:
         return "Publisher";
      case MENU_LABEL_VALUE_RDB_ENTRY_DESCRIPTION:
         return "Ðescriptíoñ";
      case MENU_LABEL_VALUE_RDB_ENTRY_GENRE:
         return "Genre";
      case MENU_LABEL_VALUE_RDB_ENTRY_NAME:
         return "Name";
      case MENU_LABEL_VALUE_RDB_ENTRY_ORIGIN:
         return "Origîñ";
      case MENU_LABEL_VALUE_RDB_ENTRY_FRANCHISE:
         return "Françhìse";
      case MENU_LABEL_VALUE_RDB_ENTRY_RELEASE_MONTH:
         return "Rêleasèdâte Month";
      case MENU_LABEL_VALUE_RDB_ENTRY_RELEASE_YEAR:
         return "Releasëdate Ýeâr";
      case MENU_VALUE_TRUE:
         return "Truë";
      case MENU_VALUE_FALSE:
         return "False";
      case MENU_VALUE_MISSING:
         return "Missìng";
      case MENU_VALUE_PRESENT:
         return "Prëseñt";
      case MENU_VALUE_OPTIONAL:
         return "Optìõnal";
      case MENU_VALUE_REQUIRED:
         return "Required";
      case MENU_VALUE_STATUS:
         return "Status";
      case MENU_LABEL_VALUE_AUDIO_SETTINGS:
         return "Äudïö";
      case MENU_LABEL_VALUE_INPUT_SETTINGS:
         return "Input";
      case MENU_LABEL_VALUE_ONSCREEN_DISPLAY_SETTINGS:
         return "Óñsçrêéñ Ðisplåy";
      case MENU_LABEL_VALUE_OVERLAY_SETTINGS:
         return "Onsçreeñ Overlãy";
      case MENU_LABEL_VALUE_MENU_SETTINGS:
         return "Menu";
      case MENU_LABEL_VALUE_MULTIMEDIA_SETTINGS:
         return "Mûltimedia";
      case MENU_LABEL_VALUE_UI_SETTINGS:
         return "User Iñterfáce";
      case MENU_LABEL_VALUE_MENU_FILE_BROWSER_SETTINGS:
         return "Ménu File Browser";
      case MENU_LABEL_VALUE_CORE_UPDATER_SETTINGS:
         return "Updater";
      case MENU_LABEL_VALUE_NETWORK_SETTINGS:
         return "Nétwørk";
      case MENU_LABEL_VALUE_PLAYLIST_SETTINGS:
         return "Playlists";
      case MENU_LABEL_VALUE_USER_SETTINGS:
         return "Ûser";
      case MENU_LABEL_VALUE_DIRECTORY_SETTINGS:
         return "Ðirectory";
      case MENU_LABEL_VALUE_RECORDING_SETTINGS:
         return "Récõrdiñg";
      case MENU_LABEL_VALUE_NO_INFORMATION_AVAILABLE:
         return "No ïñformatiöñ is availàblë.";
      case MENU_LABEL_VALUE_INPUT_USER_BINDS:
         return "Ïnpüt User %u Bîñds";
      case MENU_VALUE_LANG_ENGLISH:
         return "Ënglísh";
      case MENU_VALUE_LANG_JAPANESE:
         return "Jâpañese";
      case MENU_VALUE_LANG_FRENCH:
         return "French";
      case MENU_VALUE_LANG_SPANISH:
         return "Spanish";
      case MENU_VALUE_LANG_GERMAN:
         return "Gérmãn";
      case MENU_VALUE_LANG_ITALIAN:
         return "Italìãn";
      case MENU_VALUE_LANG_DUTCH:
         return "Ðùtch";
      case MENU_VALUE_LANG_PORTUGUESE:
         return "Portuguese";
      case MENU_VALUE_LANG_RUSSIAN:
         return "Russìañ";
      case MENU_VALUE_LANG_KOREAN:
         return "Korèan";
      case MENU_VALUE_LANG_CHINESE_TRADITIONAL:
         return "Çhiñese (Traditìóñal)";
      case MENU_VALUE_LANG_CHINESE_SIMPLIFIED:
         return "Chiñèse (Símplified)";
      case MENU_VALUE_LANG_ESPERANTO:
         return "Espêrañto";
      case MENU_VALUE_LEFT_ANALOG:
         return "Left Ánalog";
      case MENU_VALUE_RIGHT_ANALOG:
         return "Rîght Äñalog";
      case MENU_LABEL_VALUE_INPUT_HOTKEY_BINDS:
         return "Input Hôtkeÿ Biñds";
      case MENU_LABEL_VALUE_FRAME_THROTTLE_SETTINGS:
         return "Fráme Throttlë";
      case MENU_VALUE_SEARCH:
         return "Sèärch:";
      case MENU_LABEL_VALUE_USE_BUILTIN_IMAGE_VIEWER:
         return "Ùse Builtin Image Viewer";
      case MENU_LABEL_VALUE_ENABLE:
         return "Èñãble";
      case MENU_LABEL_VALUE_START_CORE:
         return "Start Çore";
      case MENU_LABEL_VALUE_INPUT_POLL_TYPE_BEHAVIOR:
         return "Pôll Týpè Behavìor";
      default:
         break;
   }

   return "null";
}

int menu_hash_get_help_us(uint32_t hash, char *s, size_t len)
{
   uint32_t driver_hash = 0;
   settings_t      *settings = config_get_ptr();

   switch (hash)
   {
      case MENU_LABEL_VALUE_HELP_AUDIO_VIDEO_TROUBLESHOOTING_DESC:
         {
            /* Work around C89 limitations */
            char u[501];
            char t[501];

            strlcpy(t, 
                  "RetroArch rèlies ön àn uniqúe form of\n"
                  "audìò/vidèo synçhrônizatìon wheré it needs to bé\n"
                  "calibratéd agâïnst the refresh rate of yóur\n"
                  "dìsplay for best perförmancë resùlts.\n"
                  " \n"
                  "If ÿou êxperiençe ány audiõ craçkling or videö\n"
                  "tearing, usùälly it means thât ýoü neëd to\n"
                  "çalibrate the sëttings. Sõmè çhõices below:\n"
                  " \n", sizeof(t));
            snprintf(u, sizeof(u),
                  "a) Go to '%s' -> '%s', and enàble\n"
                  "'Threaded Video'. Rëfrèsh ráte will nõt matter\n"
                  "in thîs móde, framërãtè will be highër,\n"
                  "but vídéo might be less smooth.\n"
                  "b) Go to '%s' -> '%s', añd loök at\n"
                  "'%s'. Let it rúñ for\n"
                  "2048 frãmës, thëñ press 'ÕK'.",
                  menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
                  menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_SETTINGS),
                  menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
                  menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_SETTINGS),
                  menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_REFRESH_RATE_AUTO));
            strlcat(s, t, len);
            strlcat(s, u, len);
         }
         break;
      case MENU_LABEL_VALUE_HELP_SCANNING_CONTENT_DESC:
         snprintf(s, len,
               "Tô scan for content, go to '%s' and\n"
               "select eîther '%s' òr %s'.\n"
               " \n"
               "Fìles will be çómpäred to databasê entriës.\n"
               "If there îs a matçh, ït wïll add an entry\n"
               "tø a çöllectíøñ.\n"
               " \n"
               "Yoû can theñ easilÿ açcess this coñtënt bÿ\n"
               "goiñg to '%s' ->\n"
               "'%s'\n"
               "instèàd of havïñg tø go throûgh the\n"
               "filëbròwser everytime.\n"
               " \n"
               "NOTE: Çontëñt for somé çores might still nöt bë\n"
               "scanñablë. Examplës include: \n"
               "MAMÈ, FBA, ånd maybe öthers."
               ,
               menu_hash_to_str(MENU_LABEL_VALUE_ADD_CONTENT_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_SCAN_DIRECTORY),
               menu_hash_to_str(MENU_LABEL_VALUE_SCAN_FILE),
               menu_hash_to_str(MENU_LABEL_VALUE_LOAD_CONTENT_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_CONTENT_COLLECTION_LIST)
               );
         break;
      case MENU_LABEL_VALUE_MENU_CONTROLS_PROLOG:
         snprintf(s, len,
               "Yøu cañ usê the folløwing controls below \n"
               "oñ either your gämepâd or këÿboârd in ordër\n"
               "to cóñtrol thé mënu: \n"
               " \n"
               );
         break;
      case MENU_LABEL_VALUE_EXTRACTING_PLEASE_WAIT:
         snprintf(s, len,
               "Wêlcòme tò RetroArçh\n"
               "\n"
               "Èxtractìng ásséts, please waìt.\n"
               "This mïght take a while...\n"
               );
         break;
      case MENU_LABEL_WELCOME_TO_RETROARCH:
         snprintf(s, len,
               "Wêlçomé tø RètròArch\n"
               "\n"
               "Fór further infôrmatioñ, go tõ Help.\n"
               );
         break;
      case MENU_LABEL_INPUT_DRIVER:
         driver_hash = menu_hash_calculate(settings->input.driver);

         switch (driver_hash)
         {
            case MENU_LABEL_INPUT_DRIVER_UDEV:
               snprintf(s, len,
                     "udèv Inpút dríver. \n"
                     " \n"
                     "This driver cán run withoût X. \n"
                     " \n"
                     "It úses the rêçent evdèv joypad ÀPI \n"
                     "fòr joýstiçk support. Ìt supports \n"
                     "hôtplùggïñg ând forcé feedbâçk (îf \n"
                     "suppørted by deviçe). \n"
                     " \n"
                     "The drivër reads êvdèv êvënts for kèyboard \n"
                     "suppôrt. Ít alsô süpports keybõard çällbaçk, \n"
                     "miçe and tøùçhpads. \n"
                     " \n"
                     "Bý defáult în most diströs, /dëv/ïnpût ñødes \n"
                     "âre root-oñlÿ (mode 600). Ýou cân sèt up a udev \n"
                     "rulé which makes thèsê åççessible to non-root."
                     );
               break;
            case MENU_LABEL_INPUT_DRIVER_LINUXRAW:
               snprintf(s, len,
                     "linuxraw Input driver. \n"
                     " \n"
                     "This drïvèr requires an active TTY. Kèyboãrd \n"
                     "evêñts arë read dìrêçtly from thé TTY which \n"
                     "makés it simpler, but not âs flèxible as udev. \n" "Mice, etc, are not supported at all. \n"
                     " \n"
                     "This driver uses thé oldér joystick API \n"
                     "(/dev/ìnput/js*).");
               break;
            default:
               snprintf(s, len,
                     "Iñput drìvër.\n"
                     " \n"
                     "Ðepending on vîdéo dríver, it might \n"
                     "forcè à dïffèrënt iñput drivèr.");
               break;
         }
         break;
      case MENU_LABEL_LOAD_CONTENT:
         snprintf(s, len,
               "Loäd Cøñtènt. \n"
               "Brõwsê for coñteñt. \n"
               " \n"
               "Tò lôad coñtent, yoú need a \n"
               "'Còre' tó usê, and ã çontent filè.\n"
               " \n"
               "To çontrol whêre the mèñu stårts \n"
               " to brøwse for còntent, set  \n"
               "'Filè Browser Ðírectory'. \n"
               "If nòt set, it will stârt ín roôt. \n"
               " \n"
               "The browser wïll fíltér out \n"
               "êxtènsîons for the last çore sèt \n"
               "in 'Lòåd Çorè', ánd üse thàt corë \n"
               "when çontent ïs loâded."
               );
         break;
      case MENU_LABEL_CORE_LIST:
         snprintf(s, len,
               "Loãd Cøré. \n"
               " \n"
               "Browse fôr a libretro cõre \n"
               "implementatiõñ. Where the browser \n"
               "starts depeñds on your Core Directorý \n"
               "páth. If blàñk, ìt will start iñ roõt. \n"
               " \n"
               "If Coré Dirëçtorý is å diréçtory, the menû \n"
               "will ùsë that às top fólder. If Çøre \n"
               "Ðiréctory ïs ä fûll path, it wíll start \n"
               "iñ the foldèr whérè the filè îs.");
         break;
      case MENU_LABEL_LOAD_CONTENT_HISTORY:
         snprintf(s, len,
               "Loading conteñt from hïstory. \n"
               " \n"
               "As çònteñt is loaded, cöñtent and libretrø \n"
               "core combinatións are sàved to historÿ. \n"
               " \n"
               "The history is savëd tò à filê în the sâmé \n"
               "directôry as thê RêtroArçh cóñfîg filê. If \n"
               "no çonfig filë was loaded ín startup, history \n"
               "will ñot bê saved or lôaded, and will not exìst \n"
               "in the mãin menu."
               );
         break;
      case MENU_LABEL_VIDEO_DRIVER:
         driver_hash = menu_hash_calculate(settings->video.driver);

         switch (driver_hash)
         {
            case MENU_LABEL_VIDEO_DRIVER_GL:
               snprintf(s, len,
                     "ÒpènGL Vìdeø drivér. \n"
                     " \n"
                     "This driver ållòws lìbretro GL corés to  \n"
                     "be used in additíon tó sõftwåre-réndéred \n"
                     "çore ïmplémentations.\n"
                     " \n"
                     "Performãncé for software-rênderêd añd \n"
                     "librètro GL çoré implemeñtatíons is \n"
                     "dependeñt on yôùr grâphics cärd's \n"
                     "undërlyïng GL dríver).");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SDL2:
               snprintf(s, len,
                     "SDL 2 Video drïver.\n"
                     " \n"
                     "Thïs ís añ SÐL 2 softwãrë-renderèd video \n"
                     "driver.\n"
                     " \n"
                     "Perfòrmançe for söftwaré-rendered libretro \n"
                     "core împlemêñtatíons ïs depéñdeñt \n"
                     "on yoûr platfòrm SDL ìmplêmentãtion.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SDL1:
               snprintf(s, len,
                     "SDL Vidêo driver.\n"
                     " \n"
                     "Thís is añ SDL 1.2 software-reñdered vídeo \n"
                     "drìver.\n"
                     " \n"
                     "Pérformànce îs çõnsídered to bé sùboptimal. \n"
                     "Considêr usiñg ït oñly às a lãst résort.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_D3D:
               snprintf(s, len,
                     "Dïrèct3D Vidêo drívèr. \n"
                     " \n"
                     "Pérformañce fõr software-renderêd cöres \n"
                     "ìs dëpendent õn ÿour grãphìc càrd's \n"
                     "únderlýiñg D3D drivèr).");
               break;
            case MENU_LABEL_VIDEO_DRIVER_EXYNOS:
               snprintf(s, len,
                     "Exynös-G2D Video Ðriver. \n"
                     " \n"
                     "This is â lòw-levël Êxyños vîdêo drïver. \n"
                     "Uses thè G2D bloçk ìn Samsuñg Exynos SõC \n"
                     "fõr blit operatìoñs. \n"
                     " \n"
                     "Performançë for software rendered çorës \n"
                     "should be òptimàl.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SUNXI:
               snprintf(s, len,
                     "Sunxî-G2Ð Videö Drivêr. \n"
                     " \n"
                     "This is á low-levèl Sûnxi vìdëø drîver. \n"
                     "Uses the G2Ð bloçk ìn Állwïñner SöCs.");
               break;
            default:
               snprintf(s, len,
                     "Curreñt Vïdeo driver.");
               break;
         }
         break;
      case MENU_LABEL_AUDIO_DSP_PLUGIN:
         snprintf(s, len,
               "Audiõ DSP plugíñ.\n"
               " Procëssës audìo before it's señt to \n"
               "the drïver."
               );
         break;
      case MENU_LABEL_AUDIO_RESAMPLER_DRIVER:
         driver_hash = menu_hash_calculate(settings->audio.resampler);

         switch (driver_hash)
         {
            case MENU_LABEL_AUDIO_RESAMPLER_DRIVER_SINC:
               snprintf(s, len,
                     "Wíndôwed SÍNÇ implementàtiòñ.");
               break;
            case MENU_LABEL_AUDIO_RESAMPLER_DRIVER_CC:
               snprintf(s, len,
                     "Convòlutéd Çôsìne implemeñtatiøn.");
               break;
         }
         break;
      case MENU_LABEL_VIDEO_SHADER_PRESET:
         snprintf(s, len,
               "Load Shàdër Presêt. \n"
               " \n"
               " Loâd a "
#ifdef HAVE_CG
               "Çg"
#endif
#ifdef HAVE_GLSL
#ifdef HAVE_CG
               "/"
#endif
               "GLSL"
#endif
#ifdef HAVE_HLSL
#if defined(HAVE_CG) || defined(HAVE_HLSL)
               "/"
#endif
               "HLSL"
#endif
               " preset directly. \n"
               "Thê menu shader menu ïs updated âccördìngly. \n"
               " \n"
               "If the CGP ûses scälïng methôds whìch are not \n"
               "símple, (i.e. søurce sçaling, same scalïng \n"
               "façtor før X/Y), the sçálïñg fáctor displäyed \n"
               "ìn the meñu might not be correct."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_SCALE_PASS:
         snprintf(s, len,
               "Sçåle for thís pass. \n"
               " \n"
               "The sçâle factor açcümulates, i.e. 2x \n"
               "for first pass änd 2x fôr second pass \n"
               "will gïve you a 4x total scale. \n"
               " \n"
               "Îf there is a scalè fáctor fôr läst \n"
               "pãss, the result ìs stretchèd to \n"
               "scrèen wìth thë fìlter specifiêd în \n"
               "'Defåult Fïlter'. \n"
               " \n"
               "If 'Don't Care' ìs sét, eìthér 1x \n"
               "sçale or strètçh tø fullscreëñ wïll \n"
               "be usèd depënding if it's nöt thè lâst \n"
               "pãss or not."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_NUM_PASSES:
         snprintf(s, len,
               "Shader Pässês. \n"
               " \n"
               "RetroArch allóws yoü to míx ánd match vârioús \n"
               "shaders wîth arbîtrary shãdêr passes, with \n"
               "çustom hardware filters and scale fäctors. \n"
               " \n"
               "This option speçïfiês the numbér õf shãder \n"
               "passes to ûsë. If yoü set this to 0, and úse \n"
               "Apply Shàder Chañges, yoù usë â 'blank' shader. \n"
               " \n"
               "Thê Ðefãult Filter optiøn wíll affect the \n"
               "stretching fìlter.");
         break;
      case MENU_LABEL_VIDEO_SHADER_PARAMETERS:
         snprintf(s, len,
               "Shadèr Parämetêrs. \n"
               " \n"
               "Mõdifiès currént shadér dìreçtly. Will ñot bé \n"
               "sävêd to CGP/GLSLP prèset file.");
         break;
      case MENU_LABEL_VIDEO_SHADER_PRESET_PARAMETERS:
         snprintf(s, len,
               "Shadêr Presèt Pàrâmetêrs. \n"
               " \n"
               "Modìfies shâdér presêt cùrreñtly iñ menu."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_PASS:
         snprintf(s, len,
               "Pâth tö shader. \n"
               " \n"
               "All shåders mûst be of thê sàme \n"
               "type (i.e. CG, GLSL or HLSL). \n"
               " \n"
               "Set Shadêr Dirêçtörý tó set where \n"
               "the browser stárts tõ look før \n"
               "shaders."
               );
         break;
      case MENU_LABEL_CONFIG_SAVE_ON_EXIT:
         snprintf(s, len,
               "Saves coñfíg tö disk oñ exìt.\n"
               "Useful for meñú âs sëttïñgs cån bè\n"
               "modïfied. Overwrites the cønfig.\n"
               " \n"
               "#inçlude's àñd comments are not \n"
               "prêserved. \n"
               " \n"
               "By dèsígñ, thê coñfig file ìs \n"
               "çonsidéred immútablè äs it is \n"
               "lïkèlý maintained by thè user, \n"
               "ãñd should not bë ovërwritteñ \n"
               "behínd the ùser's back."
#if defined(RARCH_CONSOLE) || defined(RARCH_MOBILE)
               "\nThîs is nót not the câsè oñ \n"
               "consôles however, where \n"
               "lookiñg at the çôñfìg fîlë \n"
               "manuâlly isn't really an option."
#endif
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_FILTER_PASS:
         snprintf(s, len,
               "Hardwâre filter fôr this pãss. \n"
               " \n"
               "If 'Dön't Cãre' ïs set, 'Ðefàult \n"
               "Fíltêr' will be usëd."
               );
         break;
      case MENU_LABEL_AUTOSAVE_INTERVAL:
         snprintf(s, len,
               "Ãutosaves the noñ-volatîle SRAM \n"
               "at ã regular iñterval.\n"
               " \n"
               "This îs disãbled by dêfãult uñless sét \n"
               "otherwíse. Thë ínterval ís measured iñ \n"
               "seconds. \n"
               " \n"
               "A value öf 0 dîsables àùtösavê.");
         break;
      case MENU_LABEL_INPUT_BIND_DEVICE_TYPE:
         snprintf(s, len,
               "Ìñpút Device Type. \n"
               " \n"
               "Picks whích deviçe type to usè. Thïs is \n"
               "relêvant for the libretrø core itself."
               );
         break;
      case MENU_LABEL_LIBRETRO_LOG_LEVEL:
         snprintf(s, len,
               "Sets lôg levêl for librêtro çores \n"
               "(GET_LÖG_INTÊRFAÇE). \n"
               " \n"
               " Íf a log lêvel ïssued by a libretro \n"
               " core ïs bèlôw libretro_log lével, ít \n"
               " is ignored.\n"
               " \n"
               " ÐEBÙG løgs aré alwáys ignorëd uñlêss \n"
               " vèrbose mode îs actïvated (--verbose).\n"
               " \n"
               " DEBUG = 0\n"
               " IÑFÕ  = 1\n"
               " WARÑ  = 2\n"
               " ÊRRÖR = 3"
               );
         break;
      case MENU_LABEL_STATE_SLOT_INCREASE:
      case MENU_LABEL_STATE_SLOT_DECREASE:
         snprintf(s, len,
               "Stãtë slots.\n"
               " \n"
               " With slot set to 0, save state ñamè is *.state \n"
               " (or whätever definéd øn commañdliñe).\n"
               "Whèn slot is != 0, path will bê (path)(d), \n"
               "where (d) is slot ñumbêr.");
         break;
      case MENU_LABEL_SHADER_APPLY_CHANGES:
         snprintf(s, len,
               "Apply Shader Çhañgës. \n"
               " \n"
               "Áfter châñgïng shader settiñgs, use this tø \n"
               "applÿ çhànges. \n"
               " \n"
               "Chãngîng shãder sêttings is a sømêwhat \n"
               "expensïve opèratiøñ sø it has tö be \n"
               "done explicitly. \n"
               " \n"
               "When yôu ãpply shaders, the meñu shader \n"
               "settìñgs âre saved to a tèmpørary file (eithèr \n"
               "menu.cgp or menu.glslp) äñd loaded. The file \n"
               "persists aftér RetroArch êxits. The file is \n"
               "saved to Shåder Directõry."
               );
         break;
      case MENU_LABEL_INPUT_BIND_DEVICE_ID:
         snprintf(s, len,
               "Inpût Ðévice. \n"
               " \n"
               "Pìcks whích gamëpãd to usë for úser Ñ. \n"
               "The nâme of thè pad is availàblë."
               );
         break;
      case MENU_LABEL_MENU_TOGGLE:
         snprintf(s, len,
               "Toggles menu.");
         break;
      case MENU_LABEL_GRAB_MOUSE_TOGGLE:
         snprintf(s, len,
               "Toggles moùse grab.\n"
               " \n"
               "Whên moùse is gräbbêd, RètrôArch hides the \n"
               "moûse, añd kêêps the mouse poiñter insidé \n"
               "thë windów to ållow relative moüse ïnput to \n"
               "work bètter.");
         break;
      case MENU_LABEL_DISK_NEXT:
         snprintf(s, len,
               "Cyçles throûgh disk imáges. Use after \n"
               "êjëçting. \n"
               " \n"
               " Completè by toggliñg eject agäiñ.");
         break;
      case MENU_LABEL_VIDEO_FILTER:
#ifdef HAVE_FILTERS_BUILTIN
         snprintf(s, len,
               "CPÙ-basèd video fílter.");
#else
         snprintf(s, len,
               "CPÜ-bãsed vïdeo fìlter.\n"
               " \n"
               "Path tø a dynämic líbrary.");
#endif
         break;
      case MENU_LABEL_AUDIO_DEVICE:
         snprintf(s, len,
               "Òvêrride the dèfault audio dévice \n"
               "the åudio drìver uses.\n"
               "Thîs is drivër dèpendent. E.g.\n"
#ifdef HAVE_ALSA
               " \n"
               "ALSA wañts a PCM device."
#endif
#ifdef HAVE_OSS
               " \n"
               "ØSS wãnts â pâth (e.g. /dev/dsp)."
#endif
#ifdef HAVE_JACK
               " \n"
               "JACK wañts portnåmes (é.g. systèm:plaýback1\n"
               ",system:pläyback_2)."
#endif
#ifdef HAVE_RSOUND
               " \n"
               "RSôünd wänts án ÌP ãddress to añ RSóund \n"
               "server."
#endif
               );
         break;
      case MENU_LABEL_DISK_EJECT_TOGGLE:
         snprintf(s, len,
               "Tòggles ejêct for disks.\n"
               " \n"
               "Uséd fòr multîplë-disk contènt.");
         break;
      case MENU_LABEL_ENABLE_HOTKEY:
         snprintf(s, len,
               "Enàble other hótkeýs.\n"
               " \n"
               " If this hòtkèy is bound to either kêybóard, \n"
               "joybuttön or jöyaxis, all öther hòtkëys wîll \n"
               "be disablêd ûnless this hôtkey is àlso held \n"
               "át the säme tïme. \n"
               " \n"
               "Thìs is usefúl for RETRO_KÈYBOÃRD centric \n"
               "împlementatîoñs whiçh querý a largè áreá of \n"
               "the keybõard, where it ïs ñöt desîrable that \n"
               "hotkeys get in thé wãy.");
         break;
      case MENU_LABEL_REWIND_ENABLE:
         snprintf(s, len,
               "Enâblè rèwíndíng.\n"
               " \n"
               "Thîs will také á perfòrmance hit, \n"
               "so ît is disablêd bý default.");
         break;
      case MENU_LABEL_LIBRETRO_DIR_PATH:
         snprintf(s, len,
               "Core Directórý. \n"
               " \n"
               "Å direçtôry fór where to search for \n"
               "libretro cõre implementãtioñs.");
         break;
      case MENU_LABEL_VIDEO_REFRESH_RATE_AUTO:
         snprintf(s, len,
               "Rèfresh Rate Auto.\n"
               " \n"
               "Thè aççüråte refresh rate ôf øur monitor (Hz).\n"
               "Thîs is úsêd to cálçulaté audìo ìnput rate with \n"
               "thê fôrmulã: \n"
               " \n"
               "audio_input_rate = gamè ínpút rátë * display \n"
               "refresh rate / game rëfresh rãte\n"
               " \n"
               "Íf thê implèmeñtatiöñ dóes ñöt report any \n"
               "valúes, ÑTSC defaùlts wíll be åssûmed fòr \n"
               "cômpatibilitÿ.\n"
               " \n"
               "This vàlue shõùld stäÿ clõse tõ 60Hz to avoid \n"
               "large pïtch çhàñgès. If your monitõr does \n"
               "not run ãt 60Hz, or something çlose to ít, \n"
               "disable VSync, ánd leâve this åt its default.");
         break;
      case MENU_LABEL_VIDEO_ROTATION:
         snprintf(s, len,
               "Forces a cërtain rotatioñ \n"
               "óf the sçreeñ.\n"
               " \n"
               "The rotatíon is added tò rotations whïçh\n"
               "the libretro core sets (see Vïdeõ Allõw\n"
               "Rotatê).");
         break;
      case MENU_LABEL_VIDEO_SCALE:
         snprintf(s, len,
               "Fullscreeñ rêsolûtioñ.\n"
               " \n"
               "Resölution of 0 usês the \n"
               "resolûtiöñ òf thé eñvironmënt.\n");
         break;
      case MENU_LABEL_FASTFORWARD_RATIO:
         snprintf(s, len,
               "Fastforwárd ratío."
               " \n"
               "The maxîmùm raté åt whïch çòntent wìll\n"
               "be run whéñ using fàst fõrward.\n"
               " \n"
               " (E.g. 5.0 for 60 fps content => 300 fps \n"
               "cãp).\n"
               " \n"
               "RetròÁrçh will go to sleep to ensure that \n"
               "the måximum räte wìll nöt be exçeedéd.\n"
               "Dø ñøt rely õñ this çâp to bé pèrfectly \n"
               "äccurate.");
         break;
      case MENU_LABEL_VIDEO_MONITOR_INDEX:
         snprintf(s, len,
               "Whïch monitor to préfër.\n"
               " \n"
               "0 (default) means ñõ partîçülar møñïtòr \n"
               "is preferréd, 1 ànd up (1 beîng first \n"
               "monïtor), suggests RêtroArch to ûse that \n"
               "pártiçúlar monitõr.");
         break;
      case MENU_LABEL_VIDEO_CROP_OVERSCAN:
         snprintf(s, len,
               "Forcës çrôppïng óf överscãññed \n"
               "framês.\n"
               " \n"
               "Exact behãvïor ôf this optîôñ ïs \n"
               "corè-împlemèñtatioñ specific.");
         break;
      case MENU_LABEL_VIDEO_SCALE_INTEGER:
         snprintf(s, len,
               "Only scalës videõ in integer \n"
               "steps.\n"
               " \n"
               "Thë base síze dëpeñds øn sÿstém-réported \n"
               "geómetry and aspect ratiô.\n"
               " \n"
               "If Forçe Aspect is ñot set, X/Y will be \n"
               "înteger scaled ìñdepéndëntly.");
         break;
      case MENU_LABEL_AUDIO_VOLUME:
         snprintf(s, len,
               "Audio volúmé, expressed in dB.\n"
               " \n"
               " 0 dB ìs ñôrmal volume. No gaiñ will be åpplîëd.\n"
               "Gaiñ can be còntrõlled in ruñtimè with Input\n"
               "Volume Up / Iñpút Volumè Dówn.");
         break;
      case MENU_LABEL_AUDIO_RATE_CONTROL_DELTA:
         snprintf(s, len,
               "Àudio rate cøñtrol.\n"
               " \n"
               "Settîng thìs to 0 dísables rate control.\n"
               "Ãny òther vàlue còntrols åudîó rate çoñtrõl \n"
               "delta.\n"
               " \n"
               "Definês hòw much ínpùt ratê cån be adjusted \n"
               "dynamicãlly.\n"
               " \n"
               " Íñput ratè is defined âs: \n"
               " ìñput rate * (1.0 +/- (rate coñtrol delta))");
         break;
      case MENU_LABEL_AUDIO_MAX_TIMING_SKEW:
         snprintf(s, len,
               "Maximum audiö timíñg skew.\n"
               " \n"
               "Ðêfiñes the maximum chängé in înpût ràte.\n"
               "Ýôü may want tö ìncrèase this to ëñablë\n"
               "vërý large çhañgés in timíng, fõr ëxåmple\n"
               "runñing PAL corés on NTSC displays, at thë\n"
               "cost of ïnâççürâte aûdiö pitch.\n"
               " \n"
               " Ïñpút rate is defined as: \n"
               " iñpüt råté * (1.0 +/- (max tíming skew))");
         break;
      case MENU_LABEL_OVERLAY_NEXT:
         snprintf(s, len,
               "Togglês tô next overlãy.\n"
               " \n"
               "Wrâps åround.");
         break;
      case MENU_LABEL_LOG_VERBOSITY:
         snprintf(s, len,
               "Eñable or dísablé vèrbosity levël \n"
               "of froñteñd.");
         break;
      case MENU_LABEL_VOLUME_UP:
         snprintf(s, len,
               "Íñcreâsès aüdio volúme.");
         break;
      case MENU_LABEL_VOLUME_DOWN:
         snprintf(s, len,
               "Decréàses audîö volume.");
         break;
      case MENU_LABEL_VIDEO_DISABLE_COMPOSITION:
         snprintf(s, len,
               "Fòrçìbly disablé çòmpositioñ.\n"
               "Ôñlý välid on Wiñdöws Vistâ/7 for now.");
         break;
      case MENU_LABEL_PERFCNT_ENABLE:
         snprintf(s, len,
               "Enåble or dîsable frønteñd \n"
               "pêrformance cóúnters.");
         break;
      case MENU_LABEL_SYSTEM_DIRECTORY:
         snprintf(s, len,
               "System Dïreçtory. \n"
               " \n"
               "Sets the 'sÿstem' díréctory.\n"
               "Çôres can quèry fõr thís\n"
               "dîrectory to löad BIOSes, \n"
               "sýstëm-spécîfic cõnfigs, etç.");
         break;
      case MENU_LABEL_SAVESTATE_AUTO_SAVE:
         snprintf(s, len,
               "Autõmatiçàlly saves a sávestátè at the \n"
               "ënd of RetroÅrch's lïfétïme.\n"
               " \n"
               "RêtroÀrch will automãticallý lõad àñý sávestáte\n"
               "with thîs path on startup ïf 'Ãuto Lóâd State\n"
               "ïs enåbled.");
         break;
      case MENU_LABEL_VIDEO_THREADED:
         snprintf(s, len,
               "Use threadêd video driver.\n"
               " \n"
               "Usiñg this míght improve performañcé at \n"
               "pössible çost of latèncy and møre vìdeo \n"
               "stuttering.");
         break;
      case MENU_LABEL_VIDEO_VSYNC:
         snprintf(s, len,
               "Vìdeo V-Sýnc.\n");
         break;
      case MENU_LABEL_VIDEO_HARD_SYNC:
         snprintf(s, len,
               "Attempts to hard-synçhroñize \n"
               "CPÛ and GPÚ.\n"
               " \n"
               "Can reducë latëñcý àt cõst of \n"
               "performancè.");
         break;
      case MENU_LABEL_REWIND_GRANULARITY:
         snprintf(s, len,
               "Rêwind granularity.\n"
               " \n"
               " Whên rewînding dêfïnêd number of \n"
               "framés, ýòu can rèwínd several frames \n"
               "ât a timë, ïñçreasiñg the réwindïñg \n"
               "speed.");
         break;
      case MENU_LABEL_SCREENSHOT:
         snprintf(s, len,
               "Take screenshöt.");
         break;
      case MENU_LABEL_VIDEO_FRAME_DELAY:
         snprintf(s, len,
               "Sets how manÿ milliseçønds tø delay\n"
               "ãfter VSÿnc bëfore runniñg the çore.\n"
               "\n"
               "Can rèduçè latency ät çost of\n"
               "higher risk of stuttériñg.\n"
               " \n"
               "Maxìmúm îs 15.");
         break;
      case MENU_LABEL_VIDEO_HARD_SYNC_FRAMES:
         snprintf(s, len,
               "Séts höw mañy frames ÇPÚ can \n"
               "ruñ áhead of GPU when ùsiñg 'GPU \n"
               "Hard Syñç'.\n"
               " \n"
               "Maximûm ìs 3.\n"
               " \n"
               " 0: Syncs tõ GPU ïmmedïatelý.\n"
               " 1: Syncs to prevíous frãmê.\n"
               " 2: Etç ...");
         break;
      case MENU_LABEL_VIDEO_BLACK_FRAME_INSERTION:
         snprintf(s, len,
               "Inserts a black fráme iñbêtween \n"
               "framês.\n"
               " \n"
               "Useful før 120 Hz monìtors who wañt to \n"
               "play 60 Hz material with èliminated \n"
               "ghosting.\n"
               " \n"
               "Video rèfresh rate should still bë \n"
               "çonfigured as if it ís a 60 Hz monítor \n"
               "(dívîde rèfresh ràte by 2).");
         break;
      case MENU_LABEL_RGUI_SHOW_START_SCREEN:
         snprintf(s, len,
               "Show stårtûp sçreen in meñu.\n"
               "Ïs aütòmâtically set to fàlse when seen\n"
               "før the first tíme.\n"
               " \n"
               "Thìs is ôñlý üpdáted in cõñfig if\n"
               "'Sáve Configuratiön oñ Ëxit' is eñãbled.\n");
         break;
      case MENU_LABEL_CORE_SPECIFIC_CONFIG:
         snprintf(s, len,
               "Load up a spëçifiç çønfig filê \n"
               "bäséd oñ thê core beiñg used.\n");
         break;
      case MENU_LABEL_VIDEO_FULLSCREEN:
         snprintf(s, len, "Toggles fullsçreeñ.");
         break;
      case MENU_LABEL_BLOCK_SRAM_OVERWRITE:
         snprintf(s, len,
               "Bløck SRAM from being overwritteñ \n"
               "whëñ loading såve ståtes.\n"
               " \n"
               "Might pôtentially lead to buggý games.");
         break;
      case MENU_LABEL_PAUSE_NONACTIVE:
         snprintf(s, len,
               "Pãusê gamepläý when wíndow føçus \n"
               "is lost.");
         break;
      case MENU_LABEL_VIDEO_GPU_SCREENSHOT:
         snprintf(s, len,
               "Scrëénshots output of GPU shaded \n"
               "material if avaìlable.");
         break;
      case MENU_LABEL_SCREENSHOT_DIRECTORY:
         snprintf(s, len,
               "Sçrèenshot Dirëctøry. \n"
               " \n"
               "Ðîreçtôry tö dump scrëêñshots tö."
               );
         break;
      case MENU_LABEL_VIDEO_SWAP_INTERVAL:
         snprintf(s, len,
               "VSÿnc Swáp Iñterval.\n"
               " \n"
               "Uses á çustom swáp interval fór VSynç. Set this \n"
               "to effectivelÿ hãlve monitõr refrêsh ràte.");
         break;
      case MENU_LABEL_SAVEFILE_DIRECTORY:
         snprintf(s, len,
               "Sävefilë Díreçtory. \n"
               " \n"
               "Save âll savê fíles (*.srm) tó this \n"
               "dírectõry. This includes rèlated files like \n"
               ".bsv, .rt, .psrm, etç...\n"
               " \n"
               "This will be õvèrridden by explîcit commánd line\n"
               "optioñs.");
         break;
      case MENU_LABEL_SAVESTATE_DIRECTORY:
         snprintf(s, len,
               "Sãvestatè Ðiréçtorý. \n"
               " \n"
               "Save all save states (*.ståtè) to this \n"
               "dirêctörý.\n"
               " \n"
               "This will be õvèrridden by êxpliçit commánd liñe\n"
               "options.");
         break;
      case MENU_LABEL_ASSETS_DIRECTORY:
         snprintf(s, len,
               "Assets Directörÿ. \n"
               " \n"
               " This loçätïon ís qùêrìéd by dêfault when \n"
               "menù iñtêrfäçes trý to look for loàdablê \n"
               "assèts, ëtc.");
         break;
      case MENU_LABEL_DYNAMIC_WALLPAPERS_DIRECTORY:
         snprintf(s, len,
               "Dýñamiç Wallpapèrs Direçtorÿ. \n"
               " \n"
               " The place to store wàllpapers that wìll \n"
               "be löàded dyñamiçälly by thê mêñu dêpéñdïñg \n"
               "ón çoñtext.");
         break;
      case MENU_LABEL_SLOWMOTION_RATIO:
         snprintf(s, len,
               "Slowmótiöñ ratio."
               " \n"
               "Whèñ slowmotion, coñteñt will slôw\n"
               "dõwñ by façtor.");
         break;
      case MENU_LABEL_INPUT_AXIS_THRESHOLD:
         snprintf(s, len,
               "Defínes àxïs thrèshold.\n"
               " \n"
               "How far ån áxîs must bê tïlted to résult\n"
               "ìñ a button press.\n"
               " Pòssible values aré [0.0, 1.0].");
         break;
      case MENU_LABEL_INPUT_TURBO_PERIOD:
         snprintf(s, len, 
               "Türbo períod.\n"
               " \n"
               "Dëscribes speêd of which turbo-ënàbled\n"
               "buttoñs togglë."
               );
         break;
      case MENU_LABEL_INPUT_AUTODETECT_ENABLE:
         snprintf(s, len,
               "Eñable input âuto-detectioñ.\n"
               " \n"
               "Will attempt to äûto-configure \n"
               "joýpads, Plug-ând-Play style.");
         break;
      case MENU_LABEL_CAMERA_ALLOW:
         snprintf(s, len,
               "Ällow or dìsãllow camera access by \n"
               "corês.");
         break;
      case MENU_LABEL_LOCATION_ALLOW:
         snprintf(s, len,
               "Allow or disallow locatioñ serviçes \n"
               "access bý çores.");
         break;
      case MENU_LABEL_TURBO:
         snprintf(s, len,
               "Tùrbo ëñable.\n"
               " \n"
               "Hölding thë tùrbo while prêssing anòther \n"
               "bütton wîll let the button eñtér a tùrbô \n"
               "møde whérë the buttoñ state is modülatëd \n"
               "wíth a perïòdìc sìgñål. \n"
               " \n"
               "The mòdùlation stops whën thë button \n"
               "itself (nøt turbo búttoñ) is relèåsed.");
         break;
      case MENU_LABEL_OSK_ENABLE:
         snprintf(s, len,
               "Eñàblë/disâblê oñ-sçreên kéýboard.");
         break;
      case MENU_LABEL_AUDIO_MUTE:
         snprintf(s, len,
               "Mute/unmute aûdiö.");
         break;
      case MENU_LABEL_REWIND:
         snprintf(s, len,
               "Hold búttôn dowñ to rewind.\n"
               " \n"
               "Rëwind múst be eñãbled.");
         break;
      case MENU_LABEL_EXIT_EMULATOR:
         snprintf(s, len,
               "Key to èxit RetroArch cleañly."
#if !defined(RARCH_MOBILE) && !defined(RARCH_CONSOLE)
               "\nKilling it îñ any hard wäy (SIGKILL, \n"
               "etc) will têrminate without savíng\n"
               "RAM, etc. On Unix-likes,\n"
               "SIGIÑT/SÎGTERM ållows\n"
               "â cléan deinîtiãlization."
#endif
               );
         break;
      case MENU_LABEL_LOAD_STATE:
         snprintf(s, len,
               "Loáds state.");
         break;
      case MENU_LABEL_SAVE_STATE:
         snprintf(s, len,
               "Savës stãte.");
         break;
      case MENU_LABEL_NETPLAY_FLIP_PLAYERS:
         snprintf(s, len,
               "Netplay flip users.");
         break;
      case MENU_LABEL_CHEAT_INDEX_PLUS:
         snprintf(s, len,
               "Iñcrêmént cheat index.\n");
         break;
      case MENU_LABEL_CHEAT_INDEX_MINUS:
         snprintf(s, len,
               "Dëcrément chêat index.\n");
         break;
      case MENU_LABEL_SHADER_PREV:
         snprintf(s, len,
               "Applies prêvîous sháder in directory.");
         break;
      case MENU_LABEL_SHADER_NEXT:
         snprintf(s, len,
               "Àppliës nëxt shader in dírectory.");
         break;
      case MENU_LABEL_RESET:
         snprintf(s, len,
               "Rèset the content.\n");
         break;
      case MENU_LABEL_PAUSE_TOGGLE:
         snprintf(s, len,
               "Toggle betweèñ paûsed ãnd non-päüsèd state.");
         break;
      case MENU_LABEL_CHEAT_TOGGLE:
         snprintf(s, len,
               "Tòggle chêat îñdex.\n");
         break;
      case MENU_LABEL_HOLD_FAST_FORWARD:
         snprintf(s, len,
               "Hold for fast-forward. Releàsîñg bùttoñ \n"
               "disables fast-forward.");
         break;
      case MENU_LABEL_SLOWMOTION:
         snprintf(s, len,
               "Hold fôr slowmotioñ.");
         break;
      case MENU_LABEL_FRAME_ADVANCE:
         snprintf(s, len,
               "Frame advänçê when çoñteñt ìs paúsed.");
         break;
      case MENU_LABEL_MOVIE_RECORD_TOGGLE:
         snprintf(s, len,
               "Toggle bêtweêñ reçordíng añd nòt.");
         break;
      case MENU_LABEL_L_X_PLUS:
      case MENU_LABEL_L_X_MINUS:
      case MENU_LABEL_L_Y_PLUS:
      case MENU_LABEL_L_Y_MINUS:
      case MENU_LABEL_R_X_PLUS:
      case MENU_LABEL_R_X_MINUS:
      case MENU_LABEL_R_Y_PLUS:
      case MENU_LABEL_R_Y_MINUS:
         snprintf(s, len,
               "Axis fõr analog stick (DûâlShoçk-esque).\n"
               " \n"
               "Boùñd as üsüal, hòwêver, ìf a real añalog \n"
               "axis is bòund, ìt çan be réad às å truë añalog.\n"
               " \n"
               "Posítîvé X áxis is rïght. \n"
               "Positive Y åxís is down.");
         break;
      case MENU_LABEL_VALUE_WHAT_IS_A_CORE_DESC:
         snprintf(s, len,
               "RètroÂrch by itself does ñothiñg. \n"
               " \n"
               "To make ît do thiñgs, yoù néed to \n"
               "loãd a progrãm iñto it. \n"
               "\n"
               "Wë call such a program 'Lìbretro çòre', \n"
               "ör 'çoré' in short. \n"
               " \n"
               "Tò loäd å corë, seleçt onê from\n"
               "'Loàd Core'.\n"
               " \n"
#ifdef HAVE_NETWORKING
               "Ýou çãn obtáin cores ìn several wàÿs: \n"
               "* Dõwñlòad them by goïng to\n"
               "'%s' -> '%s'.\n"
               "* Mañuallÿ mövè them over to\n"
               "'%s'.",
               menu_hash_to_str(MENU_LABEL_VALUE_ONLINE_UPDATER),
               menu_hash_to_str(MENU_LABEL_VALUE_CORE_UPDATER_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_LIBRETRO_DIR_PATH)
#else
               "You cañ obtáin córës by\n"
               "manually möviñg them over to\n"
               "'%s'.",
               menu_hash_to_str(MENU_LABEL_VALUE_LIBRETRO_DIR_PATH)
#endif
               );
         break;
      case MENU_LABEL_VALUE_HELP_CHANGE_VIRTUAL_GAMEPAD_DESC:
         snprintf(s, len,
               "You can chañge the virtual gamépad ovèrlay\n"
               "by gòiñg to '%s' -> '%s'."
               " \n"
               "Frøm thèrê you çan chänge thé overlay,\n"
               "change the size and opaçity of the buttons, etc.\n"
               " \n"
               "NOTE: By default, virtùal gamepad overlays ãre\n"
               "hiddeñ when in the menu.\n"
               "If ÿøu'd like tö chángè this behaviõr,\n"
               "you çañ sêt '%s' to fãlse.",
               menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_OVERLAY_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_INPUT_OVERLAY_HIDE_IN_MENU)
               );
      default:
         if (string_is_empty(s))
            strlcpy(s, menu_hash_to_str(MENU_LABEL_VALUE_NO_INFORMATION_AVAILABLE), len);
         return -1;
   }

   return 0;
}
